GNU bug report logs - #38452
26.3; set-frame-position is slightly drifted

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Pascal Lambrechts <pascal.lambrechts@HIDDEN>; dated Mon, 2 Dec 2019 03:22:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 38452 <at> debbugs.gnu.org:


Received: (at 38452) by debbugs.gnu.org; 8 Dec 2019 02:33:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 07 21:33:45 2019
Received: from localhost ([127.0.0.1]:49982 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1idmOH-0005qK-IB
	for submit <at> debbugs.gnu.org; Sat, 07 Dec 2019 21:33:45 -0500
Received: from mail-eopbgr140110.outbound.protection.outlook.com
 ([40.107.14.110]:30080 helo=EUR01-VE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pascal.lambrechts@HIDDEN>) id 1idmOE-0005q5-Vi
 for 38452 <at> debbugs.gnu.org; Sat, 07 Dec 2019 21:33:44 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=RhbSlmQeU0KzYwjMiXfCgmk6rzX89/H3mTtItsAPntFPTa/4tC15fDXQNOzJlQ0SDB9Qh2k6rW2vVborMVFzE4q1OW1ZvBTkdcjkHAqPh6KSgFz1fijojA/Kg8Kb31gWNGq0DsdJstWkbD4kZ8iCWmRdvi5wzFJzarW8KyyO7dIVa4m8wpH93Hc3XIONJ/jO0mu7zZ3sfFW2FzxC8JO+cEGXNExrMsFRZEGU6Q45/7zhmBR1IRTvN3oTkWEkFeP1csxrrfglJ23Uqih6qCyz4mR3ziRrqC6P7RG4KgzBmhe2uqOYDk4mDbsX07yxpwETZFw02y2YISbC/9oEYPyngg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=QNUp28BRcYDYoV0Z6IsUsu00gymQcKKvRKQxejfIbNo=;
 b=MgD3qst4HtGDBDyUCVamy0ZTPHmOg31fBGFsBFOnbTkgprBq3fyos63jvU7MToLSVG2XV2SS2BQPjSq2/VGuoR2W7tuw1oIZshtN8aZ5hFHiSCPzgTJ3PPxUSgpkNjgYuEHkdPBoZLdPBf78Dz+61O2hOkbLJpzmgF9SuI4jezvdXhuEwM8eEfCG2R5J8buqqP12o/2yWfPWelFYKz1Emy7RtumRH5lopvx4akqqR5yE8MuMk+wnNAny+sIVdD6Jo37Wf2AKrB/M5QBA4B7eTWOKMfj2Zq84Yat/WgOkyDQ/6+I0RGtbveWQsNMl5b8qctLqmwRlHc/ghRmj0YlJLw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=uclouvain.be; dmarc=pass action=none header.from=uclouvain.be;
 dkim=pass header.d=uclouvain.be; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=uclouvain.be;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=QNUp28BRcYDYoV0Z6IsUsu00gymQcKKvRKQxejfIbNo=;
 b=U6x0HwG896qATEOgHRvaqLFE/vJiI53Q+SfyyImnux/4LFyQ9mJhpJiZGVMxkzHd21RoMz7C6rd5vJMYcDTUWio3syhl+mxHYvSlGVkI8eWliBRhGZtP66BcAoV62/5SKBENzsjV/NHP7+FC4ivTVWF8YXTgImq+/SvUGEAJKao=
Received: from DB8PR03MB6169.eurprd03.prod.outlook.com (10.141.188.78) by
 DB8PR03MB6281.eurprd03.prod.outlook.com (10.141.188.76) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2516.14; Sat, 7 Dec 2019 16:37:19 +0000
Received: from DB8PR03MB6169.eurprd03.prod.outlook.com
 ([fe80::9065:af6c:a25a:1423]) by DB8PR03MB6169.eurprd03.prod.outlook.com
 ([fe80::9065:af6c:a25a:1423%7]) with mapi id 15.20.2516.017; Sat, 7 Dec 2019
 16:37:19 +0000
From: Pascal Lambrechts <pascal.lambrechts@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted
Thread-Topic: bug#38452: 26.3; set-frame-position is slightly drifted
Thread-Index: AQHVqL6PhjYAufbh3k2xGfgvnQ0Seqeml+KAgAC8k4CAAM7zgIAAUVqAgAAfAgCAACbsgIAABSgAgAAEcQCAAPJVAIABIbSAgABstwCAAZQLgIABmh6AgAB0fYA=
Date: Sat, 7 Dec 2019 16:37:19 +0000
Message-ID: <84h82c9jnm.fsf@HIDDEN>
In-Reply-To: <5eafd4f5-5327-8702-97eb-c66a95a818ea@HIDDEN>
Accept-Language: fr-FR, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-clientproxiedby: AM0PR0102CA0017.eurprd01.prod.exchangelabs.com
 (2603:10a6:208:14::30) To DB8PR03MB6169.eurprd03.prod.outlook.com
 (2603:10a6:10:142::14)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=pascal.lambrechts@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [188.189.0.0]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 19614408-d293-469b-d6e2-08d77b33ba26
X-MS-TrafficTypeDiagnostic: DB8PR03MB6281:|DB8PR03MB6281:
x-microsoft-antispam-prvs: <DB8PR03MB62818EE4748800C33972AB8A985E0@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:9508;
x-forefront-prvs: 0244637DEA
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(4636009)(136003)(39860400002)(396003)(376002)(346002)(366004)(189003)(199004)(4326008)(52116002)(99286004)(786003)(186003)(316002)(81166006)(71190400001)(478600001)(71200400001)(6506007)(102836004)(81156014)(5660300002)(66446008)(9686003)(8936002)(66556008)(66946007)(66476007)(64756008)(229853002)(305945005)(2906002)(8676002)(26005)(86362001)(6916009)(44832011)(6512007)(6486002);
 DIR:OUT; SFP:1102; SCL:1; SRVR:DB8PR03MB6281;
 H:DB8PR03MB6169.eurprd03.prod.outlook.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; MX:1; A:1; 
received-spf: None (protection.outlook.com: uclouvain.be does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: Nxr/OTx7eisWzdH6iNwdZJqoKk2zXEB6S+OKb1JX3S1u+C6TMoK7uG0xQmChc50bn0XAh63lH8JVrJie527aFZLgBozgGJRUnsIj6Jbsvixcv/svuzQv5Ojnmb9neoE3RYhgHPfu6Z4H8KJQG4ZXusC+YQPcvq0HvIhnARKaxp384UtJy4axmqNLHgss4Ja5+m/EBmMZUdSML7LOygVRp/NiJ0BPSl21LSkzkVJe3Ak4CHyuBkVy3K6culFFAb842s2IiAQEvT5D0YeUCF6jNaYbEzyEF4Os4hdw9P3+HTk2BYj4DJHswL7DjsMf/dGBLGCUdha9ZeUpBtUlVfGWBnQjry4sc3GgEP4n4UOx0//lCsfuESRC3Udt4rtQ18uHihE4g0EXfbjA/fKBSTW6Ixm/FT/kfbtSUvYvPs9wFGjWr8loXzc3Rp4vvVGV+F19
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-MS-Exchange-CrossTenant-Network-Message-Id: 19614408-d293-469b-d6e2-08d77b33ba26
X-MS-Exchange-CrossTenant-originalarrivaltime: 07 Dec 2019 16:37:19.4831 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 7ab090d4-fa2e-4ecf-bc7c-4127b4d582ec
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: Sg/bJR1QVR3KY1Sbx0xIu2s55+6xbGkXna5voYlm93nxUsnLfNk5WPTne05oujciZJYbHek+0suxJoDEOaJldj9GtQUxuvVnA2rh2SQDE7I=
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB8PR03MB6281
X-OriginatorOrg: uclouvain.be
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 38452
Cc: "38452 <at> debbugs.gnu.org" <38452 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)
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Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38452; Package emacs. Full text available.

Message received at 38452 <at> debbugs.gnu.org:


Received: (at 38452) by debbugs.gnu.org; 6 Dec 2019 09:12:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 06 04:12:41 2019
Received: from localhost ([127.0.0.1]:45581 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1id9fE-000137-Qb
	for submit <at> debbugs.gnu.org; Fri, 06 Dec 2019 04:12:41 -0500
Received: from mail-eopbgr50117.outbound.protection.outlook.com
 ([40.107.5.117]:13616 helo=EUR03-VE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pascal.lambrechts@HIDDEN>) id 1id9fB-00012M-U6
 for 38452 <at> debbugs.gnu.org; Fri, 06 Dec 2019 04:12:40 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=QUd06yOZyRBU0VKGOjM/nnGwtkv/Ukn5zY3JCDpSnfdYmlc9P67i/i6w8e9yYR4Et7YYpFYgBGdi7TBWKFlcXI/zlY9MhFqUajEphtePlFBevrb3dF1NR69lz/ZgX/GWD5vW2kqYQo3ohncO86L8OMEUe5+zODqPrgtmZS4KQCTUmR45RT6+Ls2Qp+8xn/3IZ9MzCoG0nQhcqE6cGlD0ol5515NANSb0b70h0GbvBKenIhz9EPiZrJjVKEhqP0sfRUSuzpkIXUN3aOxizds3pawNdFWOHl6ISRgf6P9P+n4mvkf9PGSAPvVjmol3wnOC+ySzyqKqgemNM+na5hcsng==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=TTYixndp/ZmxFnVByLqVvPE9Zho+l57kXueQRMUtGO8=;
 b=N8u92U4N3vtddT12K/cPZys1mQJzcdXoYddigHwwa6y0goIh76uP8XfQS5f0UE4vT3MHJUjgyF7ZfhdJHvQi1p5TBq5ZmGX66M2bnGdfhfAjdUACm2sI0L1IYaFHfO2LSI8bSMOSYRtYYsURfiPs7Q6xncMTj5Vn7VuWyTOPOLkUTwI2EUkNPMdQPJKm/wLQbf5b1ylDIWamG0w0VkirT5Bh5jpYo6aPu6rS3zjA96fcr9+yRpj2733yhPl/jXltMEP+JkyBrTxY60t0a7lbhB3AKXl9gpe2hSKz84yfcta6/+tJ+TgJDEKJ2MnmP5df7o7cQF/ok/auKwTWXCtENQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=uclouvain.be; dmarc=pass action=none header.from=uclouvain.be;
 dkim=pass header.d=uclouvain.be; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=uclouvain.be;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=TTYixndp/ZmxFnVByLqVvPE9Zho+l57kXueQRMUtGO8=;
 b=UzSXp74as9KOr9AtaCqk585Acu6xafJJrIz82S5oGWSnpQ1n6eVC7JAxvIJPYKSidLiALEW2KES6c7+CDaDLXgmPTOcuw2q0aBE81hM4eeyqCCV+xS5N9nk0lGhVeDa6ybLj41VhuTyb1d9AdemMPpl/nwQ/pkyaU5QpnUshu8w=
Received: from DB8PR03MB6169.eurprd03.prod.outlook.com (10.141.188.78) by
 DB8PR03MB5899.eurprd03.prod.outlook.com (10.255.16.75) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2516.14; Fri, 6 Dec 2019 09:12:30 +0000
Received: from DB8PR03MB6169.eurprd03.prod.outlook.com
 ([fe80::9065:af6c:a25a:1423]) by DB8PR03MB6169.eurprd03.prod.outlook.com
 ([fe80::9065:af6c:a25a:1423%7]) with mapi id 15.20.2516.014; Fri, 6 Dec 2019
 09:12:30 +0000
From: Pascal Lambrechts <pascal.lambrechts@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted
Thread-Topic: bug#38452: 26.3; set-frame-position is slightly drifted
Thread-Index: AQHVqL6PhjYAufbh3k2xGfgvnQ0Seqeml+KAgAC8k4CAAM7zgIAAUVqAgAAfAgCAACbsgIAABSgAgAAEcQCAAPJVAIABIbSAgABstwCAAZQLgA==
Date: Fri, 6 Dec 2019 09:12:30 +0000
Message-ID: <8436dxg6ma.fsf@HIDDEN>
References: <84r21nl8qq.fsf@HIDDEN>
 <405761c5-6101-5efe-9b6b-66fcab8680da@HIDDEN>
 <84h82iwio0.fsf@HIDDEN>
 <94449a44-81df-1014-fb60-1ab4c4af0456@HIDDEN>
 <84blspbiy0.fsf@HIDDEN>
 <4e51fee7-4c0d-aee8-57fc-6e6bff41fabb@HIDDEN>
 <8436e1b7cu.fsf@HIDDEN>
 <2b232b16-497e-22d8-a395-9fae6e87add7@HIDDEN>
 <84zhg99r75.fsf@HIDDEN>
 <992a88a7-4b5e-de31-c9da-a3920370b6da@HIDDEN>
 <84eexjjy5g.fsf@HIDDEN>
 <822c9a3c-da7f-3774-44af-e9b18fd2400b@HIDDEN>
In-Reply-To: <822c9a3c-da7f-3774-44af-e9b18fd2400b@HIDDEN>
Accept-Language: fr-FR, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-clientproxiedby: AM0PR0202CA0007.eurprd02.prod.outlook.com
 (2603:10a6:208:1::20) To DB8PR03MB6169.eurprd03.prod.outlook.com
 (2603:10a6:10:142::14)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=pascal.lambrechts@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [2001:6a8:3081:4f01:94b3:a645:a962:fe3f]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 52e436bd-e457-403b-5a85-08d77a2c6baf
x-ms-traffictypediagnostic: DB8PR03MB5899:
x-microsoft-antispam-prvs: <DB8PR03MB589949DF1E587CA645A09D49985F0@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:10000;
x-forefront-prvs: 0243E5FD68
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(4636009)(396003)(136003)(366004)(376002)(346002)(39860400002)(189003)(199004)(9686003)(186003)(6512007)(86362001)(71200400001)(71190400001)(52116002)(102836004)(6916009)(6506007)(229853002)(14454004)(25786009)(99286004)(8936002)(5660300002)(66446008)(66476007)(76176011)(64756008)(66556008)(4326008)(11346002)(8676002)(81166006)(305945005)(478600001)(81156014)(44832011)(2906002)(66946007)(6486002)(316002)(786003);
 DIR:OUT; SFP:1102; SCL:1; SRVR:DB8PR03MB5899;
 H:DB8PR03MB6169.eurprd03.prod.outlook.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; MX:1; A:1; 
received-spf: None (protection.outlook.com: uclouvain.be does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: zEd8GkW4O95FD5EnjT1jrDjLyw27mRBTAKeQQYwibAMiUdHeq53boxX5kjSZCpP4LqEXwpLt9HCs8j5IqcQm8lJSSIB/gD8EEMJlawwSCb418whqGpnBzJ+cZfMpw4TmErpunr4MJiu9jDd3W272qg2A5ID0ocV54diBgATLiDyTFwwJQJKXRKRikutDROVQ9IKFvjzIn+je6t437k1mwryy7OHIJjl96CAnTENzSZw9bhmEBLgvE7At4E0IFJdt2HW/C4nS5SJJvwRWS2r3bdQvgCiM3Ic7UFBlPlvq0SwmLc3zArzug7AIbuQkLTMEPhaq4jMITDHipQOQQAdAjGINeucwG66+jOIg+mmPnYsggGEfupb0MG5PlJENB4kbxHdjWu+rCB0STWO4tj/8wZccQJZaESRI+nGcFSq/P5mQpIMVaTeZ+4EibieSi9yJ
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: uclouvain.be
X-MS-Exchange-CrossTenant-Network-Message-Id: 52e436bd-e457-403b-5a85-08d77a2c6baf
X-MS-Exchange-CrossTenant-originalarrivaltime: 06 Dec 2019 09:12:30.1929 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 7ab090d4-fa2e-4ecf-bc7c-4127b4d582ec
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: Wfh8Zw8iz/FtKIa4ev7QgSTr8smvZf+tJM0okuTLgM6auzEUzWXSOmpNzIRCnHnINmV1Ksgi147vXKDiFMlb8WsI0w5xIvLFChMCwFYxAqM=
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB8PR03MB5899
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 38452
Cc: "38452 <at> debbugs.gnu.org" <38452 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)
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Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38452; Package emacs. Full text available.

Message received at 38452 <at> debbugs.gnu.org:


Received: (at 38452) by debbugs.gnu.org; 5 Dec 2019 09:06:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 05 04:06:36 2019
Received: from localhost ([127.0.0.1]:42989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icn5o-0004y2-Em
	for submit <at> debbugs.gnu.org; Thu, 05 Dec 2019 04:06:36 -0500
Received: from mout.gmx.net ([212.227.15.19]:50353)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1icn5m-0004xh-T3
 for 38452 <at> debbugs.gnu.org; Thu, 05 Dec 2019 04:06:35 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1575536782;
 bh=E5mw4G3LwuYF/+VhnN6Wp/L+5PSDWPC30xo3xaRJrQA=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=fVOZ+kWZyODMZmVG/HoofO68+ycrH99gXY7UbeLAHzaYUSx67AWJE90L/oataJmsh
 gs1R6YUmZE5y+DuPzT7IF9L6IzX8ERkAZatdb+yX0xlUB1We1Xa4/M1b8lmyMcpwYV
 lx/gZIwtMmBT5e2NtoQ1CMeuCFbImkRu72p7Eqrs=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.161]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M6DWs-1if0101nce-006jdf; Thu, 05
 Dec 2019 10:06:22 +0100
Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted
To: Pascal Lambrechts <pascal.lambrechts@HIDDEN>
References: <84r21nl8qq.fsf@HIDDEN>
 <405761c5-6101-5efe-9b6b-66fcab8680da@HIDDEN>
 <84h82iwio0.fsf@HIDDEN>
 <94449a44-81df-1014-fb60-1ab4c4af0456@HIDDEN>
 <84blspbiy0.fsf@HIDDEN>
 <4e51fee7-4c0d-aee8-57fc-6e6bff41fabb@HIDDEN>
 <8436e1b7cu.fsf@HIDDEN>
 <2b232b16-497e-22d8-a395-9fae6e87add7@HIDDEN>
 <84zhg99r75.fsf@HIDDEN>
 <992a88a7-4b5e-de31-c9da-a3920370b6da@HIDDEN>
 <84eexjjy5g.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <822c9a3c-da7f-3774-44af-e9b18fd2400b@HIDDEN>
Date: Thu, 5 Dec 2019 10:06:22 +0100
MIME-Version: 1.0
In-Reply-To: <84eexjjy5g.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:j7iW2Zr6cbSXFw14A4GWbW+C4vJvPYwcrIXL3nnL1cQQIxDEP4s
 Q+K2Q4p6+SVHRCXC6fSDQmmgYN37fdbUh2EzUVcLDXYjgkaFtxXLTMjlFcOok3tJNhmEp6y
 35dnQSXrM4bV5Ex0VafK1/tYxPTy9GufjoJbYWo3+dttUn0HpGdY83TT4IO3AfvkyoLIoV5
 0TaSRHxvbJtrXHohyQlYw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:XrdD7HpYsTE=:/dcee8TnpbCo8p3De3SrS/
 skO8J8mf1hPPhO+Am3l6BjsBUT8SusHSvcZoYJNR/Rc7/RxZWO9JmvUg7sogzBx+B1OL4HLrR
 NnHhHhpKdopldcvsCnuVH5duD/nLAVf7s4nsIjAAeWFWVaZU/jr1PsxUuiWe+pLtutV95QD0W
 W9TRhlMKYT5jl4gs7vPbTAzykhk6ocE1eoFCXhIbLfnXERaVAATF2Udw+WUiwcjtZmAu1fMKc
 bQKrq6+xoIXZja6fY1VEN8wB25awTB0JOipyCE0CZVvTkQHbIqOpVvKJ8urVwT/VTdjy9VBZX
 J40aUDiaIzWEFziOomMDuFjTBPQBoslGUJf9nXyRsV3zeg2EWmECtcd7b5NahOvhZbnNXn5k1
 qn0mJr8b/1JYbl8dWv2f9N2Rb8pKesdhy1eq7PJtb7J38rkwlnqAuZV/9vOPDFh82A4S0t4Jv
 bCU0ytl9nGAe7GCLRJ7AkMrZLKsGsTx5Dip2ZfVpfihiRWgtJuw3rqPrXFYDV4S/WBJEQR7Lm
 AVOFUKytCpnBkt1X/Rprv74OkdqjohPOifoPBhmA56ssel41cxR1aCvNhJsNBhiUyTM4Vr+eq
 NT9AqeeuYcURLtWk3Sf/lVA9gszFmtSvjiystG4sxKSEwUiuOZ5K9LzRxqtMDQqxSZAzzchs9
 Wbk6HqoWh7wELRhYacFJZg/E2q7UQuP+4P5hnDSqjWvpnzqOgK0pAeKXyCETAr6licQBiHlxF
 FD8SrC853zxkoktl1lyW2oyGtlJbWO/BE+TAvasUDhMih/L30zJ2+DH8X67vR3AKoO3hI0CZH
 K+AV0KVXK6rQRV76GALU3l4nX/abhmcf60JSwlEUrDlcGU/iGZlMckGdkmXi2eQac9JFfrUnK
 xVtBxDCo+sYJbCbl//W5hB5Rgqvp/pJiQZbyX7G8mD9KQxSo3hW3zV+IGgtuG9+dYFksEHVKb
 liMuOo2JE8SL26KQucU8IflAIEA9eUzD/jVaHOhrGilG7soh1QK+wwUSYGQ0TSCeoMyviJBbX
 EFBwTvMeJNAa8XuWk8+MpEEMQWRdOzHuNN7ypUjqOS6tbuRt2BoDgv28sYZ1gsF1cywynCbHC
 Sa/wHl5nVD6+4VLVpBUR//+nKHs+bh4q8n46zYope+QEPzBeLRgONZ5sWp8yWxY1lJd6NYdHi
 p+5qcjSrqqBeEcvp00Dc8HoF861AQj+JuhW6TDIVNeIv52PJZ94Zd1hiQnMitZsysKNNZsUi4
 /f/3eVDBzqrMtQWbiYNQSwQp42r44xUJFV0GJkA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38452
Cc: "38452 <at> debbugs.gnu.org" <38452 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > M-! wmctrl -m  ==>
 > Name: GNOME Shell
 > Class: N/A
 > PID: N/A
 > Window manager's "showing the desktop" mode: N/A

OK.  Let's stick to "GNOME Shell" then.

 > I attach the two print screen.

Thanks.  All I can derive from these shots is that GNOME doesn't draw
any borders around a window.  What does evaluating (x-frame-geometry)
yield for such a frame?

 > For (1) I put the dock on the right side but I do not know how to remove
 > the topbar :-(

Given the fact that it's called topbar it maybe even can't be moved to
the bottom of the screen.

I'm slowly coming to the conclusion that Emacs doesn't do its
calculations right for GNOME windows.  Maybe it should try to rely
more on EWMHs instead of using XCB.  Unfortunately, the person who
wrote the code has left us and people knowing much about using size
hints and going up window hierarchies are rare.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38452; Package emacs. Full text available.

Message received at 38452 <at> debbugs.gnu.org:


Received: (at 38452) by debbugs.gnu.org; 4 Dec 2019 09:20:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Dec 04 04:20:34 2019
Received: from localhost ([127.0.0.1]:41441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icQpm-0000z2-MI
	for submit <at> debbugs.gnu.org; Wed, 04 Dec 2019 04:20:34 -0500
Received: from mout.gmx.net ([212.227.17.21]:42363)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1icQpk-0000yg-T6
 for 38452 <at> debbugs.gnu.org; Wed, 04 Dec 2019 04:20:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1575451223;
 bh=K3KsykbfuLInlpklFbac/wJpjbCv6QJ3ZvTiqnjCyJE=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=HGS+QqEAlP67YcFyQER8yZWkuKnZBh4TiQodhsL1dAA07PoZxQHc9dIBeHEl89XwD
 Rz7nFw86Lh7gnYMko+rkIV6lNdFA1rRgtEFGM5NPTTLQpN9lVZcdva6/83aMI6GkkY
 FYG4fnhzPn4YQnQzDNkdfzcCzI8zHm87QjrRgv/8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.145]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N49lJ-1hcb381M2L-0105ex; Wed, 04
 Dec 2019 10:20:23 +0100
Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted
To: Pascal Lambrechts <pascal.lambrechts@HIDDEN>
References: <84r21nl8qq.fsf@HIDDEN>
 <405761c5-6101-5efe-9b6b-66fcab8680da@HIDDEN>
 <84h82iwio0.fsf@HIDDEN>
 <94449a44-81df-1014-fb60-1ab4c4af0456@HIDDEN>
 <84blspbiy0.fsf@HIDDEN>
 <4e51fee7-4c0d-aee8-57fc-6e6bff41fabb@HIDDEN>
 <8436e1b7cu.fsf@HIDDEN>
 <2b232b16-497e-22d8-a395-9fae6e87add7@HIDDEN>
 <84zhg99r75.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <992a88a7-4b5e-de31-c9da-a3920370b6da@HIDDEN>
Date: Wed, 4 Dec 2019 10:20:22 +0100
MIME-Version: 1.0
In-Reply-To: <84zhg99r75.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:0RIiy+PMfXedf1f8HpPgCnYav+4PJPgWHlIRlJ2+d3Yf4Ba1t4h
 3s3+xelR/50TqguAYmMMpIS+lTgJ0ilJmoU7wEMwr/g5pM+3z9FwEh59uFHoCdWDXg+76WE
 3PPWrbBEnfXNRt6JxVkin057qhIYRjyH1ilOITmVvnnSfmiUOD6BfOTseiLSsSJUWyVO/3b
 ddAgV4TUs7AhZFaKg99Ew==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:8o7xIfKa2HI=:NIl3NDESEMsW15JRHYLBWn
 dVvrbF3/HvsYRuQn1lapTsi/lQUnB1LwwTNO0wLFnGRkCPvUGn6rRSamVRny4UdUVPbQhSP+G
 jlX5GSjH92CYsmRd+AsaVl6DZQZX3VOlQ4Jud3Y2vV7fJ7wT4VDIrfWYIvtdC95Q/ynnUUi/5
 D3kkw+R1OhLNMA12RxtwwPxmvoa6Qd8HC5KdcfBEgfSha4J+5+GNN0JBnzs3c0wZlVFZOmkhl
 8QUcX2VOaPQfTgCHSFYUO+fFRSxGRivvbeLeP3yu9xQC8IvJlhDUF3M/uR1Ix4J7rlfZtr73F
 UXDsrzD+GYg2eyCi8oUOvi7MBc7YJxQO/BtlRJofDPfV9n+gM/5QegOozTkgpVL9WTbU4YWe5
 58HylAoZ+6UMFXpyCOxEEQLR4srZBdEZcj7ODfCH9xJi2Jc1goMExEInHKnBLk/a6AMkDQIHU
 r8lJzjCoEdSgGzlPRV9ECTAUUn2GD66ukhfqSQDq0d7FNPqkV8wMVG5HZPgrr2AIzMpUgiZWr
 jfZpl/5T04hmJ9zaYPRxq/q19yPhntiDITS8RsWKoKZqG7OMc6TDS7jR1baz9k7WTTp1UUnBx
 251LOxWnlvdubhoQkGeXPbn3lSM8FAgqbo2xsSp7SxOVlsOS5N28dxVFHQU9Upckzhl/u01wM
 gZESm9XIalMv2mJbxCgRvzTgYyirV6U/x5fS4hN3Pu72SgoJo15IxQtMoE6oFi+A+j3PUviHR
 liBgajnCEACYqaIr0/oR/A8yd+a+qJmQaF2z88v/OWCligZodrW9Q9EyQU1ILt7BI2dOXcb2B
 ISEO4oPiqWZE+9mK1S/fSiBv7eEvkC4qMYZJFCHn6Rfct37O0p0E2ILn4SJOVpOvW5KViLEmr
 bLDQICjN2ZInHvCmlmwbEPNtY2fmVJ5BR+KXXW6cLHV5Srv0JchCKNyiJYFBBhY2xaLbA6efa
 ObhXIkZV+dBE7yQebbsUVbpidLsZi9lEYQGfX0e5SRDPJpNs49E9mT/btRkupRHU64osk+CwW
 yGij0XCA/xi4ux/WBjAOPoEHk8jc2piButXozu+jwo0jugXIb8JNqgnwcyuDSOvtpP2BOqpBF
 ZdGfIjKr8ZCxyrzpnohP/+wld2I9tO02pTw+/Gal6Z8OFisXLl7M2j0NptDPxj9malHMixxR6
 bdkTZwEgYBGxs1NijDEtaBOQ5MnIe/Qu1TQ1JQPm35atq447R7CAmL0sGTlU6RZbywSRYxp8W
 oYquUl2IcornXSoPWvkK/z2JJZ1lXYwPw+HQ155dbQ8rrYsqeEg1ep23rcyg=
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 38452
Cc: "38452 <at> debbugs.gnu.org" <38452 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.6 (-)

 > Hmmm I dont know how to et the information about the window manager.
 > I know that my linux is ubuntu 18 and I dont thing that I changed
 > anything arelated to the window manager from the standard configurtation.
 > Do you have some idea of how I could know what is  my window manager ?

If you have it installed you could try wmctrl -m.  If you have not
changed anything, the answer should be probably Mutter for the GNOME 3
desktop.  Note that I'm asking for this information because I'm
considering to add an entry to Emacs' PROBLEMS section, sketching the
behavior you report.  And I wonder that no one else has reported a
similar behavior so far.  BTW are "dock" and "menu bar line" official
nomeclature on GNOME 3?

 >> But the interesting case is whether specifying 'user-position' would
 >> have any impact when the dock and the menu bar line are present on the
 >> same frame, that is, the single display case.

"same frame" was silly, sorry.

 > My new experiment with a single display, the dock at left and menu line
 > at top:
 >
 > (display-monitor-attributes-list)
 > (((name . "eDP-1") (geometry 0 0 1920 1080) (workarea 55 27 1865 1053) (mm-size 309 174) (frames #<frame *notmuch-id:2b232b16-497e-22d8-a395-9fae6e87add7@HIDDEN* 0x5289930> #<frame test-frame-set-position-Martin-1.el 0x624cc90>) (source . "Gdk")))
 >
 > (modify-frame-parameters nil '((user-position . t) (left . 0) (top . 0)))
 > nil
 > (pl-lt)
 > " LEFT=45  TOP=19"

So specifying 'user-position' doesn't get us anywhere.  Could you send
us two screenshots of your display?

(1) One where an Emacs frame is positioned at the top left corner of a
     display _without_ dock and menu bar line.  I'd like to see whether
     that frame's decorations are visibly moved to some position
     outside the screen.

(2) One where the Emacs frame is positioned right in the middle of the
     display.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38452; Package emacs. Full text available.

Message received at 38452 <at> debbugs.gnu.org:


Received: (at 38452) by debbugs.gnu.org; 3 Dec 2019 18:53:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 13:53:16 2019
Received: from localhost ([127.0.0.1]:41063 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icDIR-0003T1-Ts
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2019 13:53:16 -0500
Received: from mail-eopbgr10107.outbound.protection.outlook.com
 ([40.107.1.107]:45086 helo=EUR02-HE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pascal.lambrechts@HIDDEN>) id 1icDIP-0003Sm-Lg
 for 38452 <at> debbugs.gnu.org; Tue, 03 Dec 2019 13:53:15 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=l1/VE1G7IncsnE4rsAXgKvBieBxFPopjd2LJeWBZrDakH2EfOERKsdwtu7wI/mZc6cMM53t8YmwD53XZSHAUy6gRqmgHJYIoWwSuZnx/irPLvXlIw6SIFCf6IXU7YJvA0pbi17e1jM/mlmnKVTJXm3IKoMejvuSCh2EHxUH0bO+CxOOLlquumhZSv58BY9CVDPTgEuUG3SAY8KWeNncY553ShiqBbcGWBB8KK05b3KlqRw1Svgp4n27Cu5j71YmYeoPsro2LI9lD9miUv2QX0tHCwz2iJkGIrOG0IR7KfpGeXeQYj96XbPLCv8N+ZGeRofailrwyRAbgf/tPQml5hA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=7JHv1iqV53mXRtRvcvo/IKS/VHq1FzhuT8oUZJJGdKw=;
 b=O/LoOwEMsm8t2k7iLqy4Meayr/+RisIEN+9Oxw2ISAd+jRxd1OYkvE3q6rtfX8nNe3VRg300q+cRXPwyyOGTFnnS/q84/sNBuPjyVdlNwuSfzU7ogFZfB78/gOgrnLcLxTeYgP2R2ldQf4HnBnQzNUKGGuSp94ODyWdS5iORjyAztiOHHLmMJiojD+Bc8Off1QdCeM3+LIk3+YYTY+73E88vapyzh/7QK7ZEd0xdYvRJagbJIKs+jKuTmWfCnNZQfZnMIlurMWMBloU1PzZ2h6I2dqokzT6qCHBckdrUEgNfjNKkSGHs/1vk3+5hjqY8HeuY/EDSoglZmzrDUemu9g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=uclouvain.be; dmarc=pass action=none header.from=uclouvain.be;
 dkim=pass header.d=uclouvain.be; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=uclouvain.be;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=7JHv1iqV53mXRtRvcvo/IKS/VHq1FzhuT8oUZJJGdKw=;
 b=F4k1m9DoLRVRx4GI+xAeC6aYm7j8rUyGuki6nwuzHUwoxmRGuw5qheGFLfQWA0ANIwiRO73T5FDvb4SQ8EBXPe369HVjylMjwSXi5EAyLxrWfAGK10BF9iM14cJGu5HkVmM+pLu8aiaB1kOIX5zcT5iHIrGt2oHNkRqPLOerJRg=
Received: from DB8PR03MB6169.eurprd03.prod.outlook.com (10.141.188.78) by
 DB8PR03MB6332.eurprd03.prod.outlook.com (10.186.167.22) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2495.18; Tue, 3 Dec 2019 18:53:05 +0000
Received: from DB8PR03MB6169.eurprd03.prod.outlook.com
 ([fe80::9065:af6c:a25a:1423]) by DB8PR03MB6169.eurprd03.prod.outlook.com
 ([fe80::9065:af6c:a25a:1423%7]) with mapi id 15.20.2495.014; Tue, 3 Dec 2019
 18:53:04 +0000
From: Pascal Lambrechts <pascal.lambrechts@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted
Thread-Topic: bug#38452: 26.3; set-frame-position is slightly drifted
Thread-Index: AQHVqL6PhjYAufbh3k2xGfgvnQ0Seqeml+KAgAC8k4CAAM7zgIAAUVqAgAAfAgCAACbsgIAABSgAgAAEcQA=
Date: Tue, 3 Dec 2019 18:53:04 +0000
Message-ID: <84zhg99r75.fsf@HIDDEN>
References: <84r21nl8qq.fsf@HIDDEN>
 <405761c5-6101-5efe-9b6b-66fcab8680da@HIDDEN>
 <84h82iwio0.fsf@HIDDEN>
 <94449a44-81df-1014-fb60-1ab4c4af0456@HIDDEN>
 <84blspbiy0.fsf@HIDDEN>
 <4e51fee7-4c0d-aee8-57fc-6e6bff41fabb@HIDDEN>
 <8436e1b7cu.fsf@HIDDEN>
 <2b232b16-497e-22d8-a395-9fae6e87add7@HIDDEN>
In-Reply-To: <2b232b16-497e-22d8-a395-9fae6e87add7@HIDDEN>
Accept-Language: fr-FR, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-clientproxiedby: AM4PR0202CA0017.eurprd02.prod.outlook.com
 (2603:10a6:200:89::27) To DB8PR03MB6169.eurprd03.prod.outlook.com
 (2603:10a6:10:142::14)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=pascal.lambrechts@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [188.188.198.168]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: ac019407-ca72-4e85-bed8-08d77822073b
x-ms-traffictypediagnostic: DB8PR03MB6332:
x-microsoft-antispam-prvs: <DB8PR03MB633295049946B34DEB542E1798420@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:9508;
x-forefront-prvs: 02408926C4
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(4636009)(136003)(376002)(346002)(366004)(39860400002)(396003)(189003)(199004)(86362001)(9686003)(6512007)(99286004)(446003)(478600001)(25786009)(66476007)(66556008)(66946007)(71200400001)(71190400001)(66446008)(64756008)(11346002)(6486002)(229853002)(186003)(14444005)(256004)(6916009)(76176011)(8936002)(6506007)(52116002)(386003)(14454004)(305945005)(2906002)(786003)(316002)(81166006)(5660300002)(6116002)(3846002)(44832011)(6246003)(102836004)(8676002)(6436002)(81156014)(4326008)(7736002)(26005);
 DIR:OUT; SFP:1102; SCL:1; SRVR:DB8PR03MB6332;
 H:DB8PR03MB6169.eurprd03.prod.outlook.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; MX:1; A:1; 
received-spf: None (protection.outlook.com: uclouvain.be does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 6TQMNqEvsMrL8qN+N1cM/qZMfoP5IGaCjerqGA243CmJqlAaul2TgUnnm6ya+8Ht6OK+++pW+lhoFVYfsuVLm5+YqDiywCWb45zuK2hMi1pvXz0DmlmnOmnHE31b8aRACKzlg6jyh6RwHBzxBI6gWH2ocR4AYwMAIyySZ+ulCVc/V9wb3jldjt28Sn08NhtAu9UAxo8vRrA+TB5CkQqEDFSsVlm6GkF4Yg1hOXdu1KIhdZVaWKsy1xTCF8q9AU01+pliVRSnkJ0urGSCFgN2fORvu1kTImzQ07ZMHal9NwH9utjFbB/5eP+nEjq+ZcqjnM97nT48E/UTnHtztAwfLe7HtbQQaV2aY7ITHJjuIcRGsDGZckXJAwT7t7E7fAxji6M3+EwuP54MCZJCvFhDrhBIj9ACyI7ET/OS0wFBYrGF2C2zYgBGuYbJBjMBMP9V
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: uclouvain.be
X-MS-Exchange-CrossTenant-Network-Message-Id: ac019407-ca72-4e85-bed8-08d77822073b
X-MS-Exchange-CrossTenant-originalarrivaltime: 03 Dec 2019 18:53:04.4489 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 7ab090d4-fa2e-4ecf-bc7c-4127b4d582ec
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: mTl8bEgdpb9HvWzQQKee8ZVPmOXqNRbi4AVWOF3yr5AIv2D0zCr/x+vnGjyodeuTJ9fLUBFErVnZNqsSdj6qWt1ct7dsHxnz7OOB64BQKJg=
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB8PR03MB6332
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 38452
Cc: "38452 <at> debbugs.gnu.org" <38452 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.9 (/)
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Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38452; Package emacs. Full text available.

Message received at 38452 <at> debbugs.gnu.org:


Received: (at 38452) by debbugs.gnu.org; 3 Dec 2019 18:37:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 13:37:19 2019
Received: from localhost ([127.0.0.1]:41059 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icD31-00037B-GL
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2019 13:37:19 -0500
Received: from mout.gmx.net ([212.227.17.21]:37955)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1icD2z-00036y-V4
 for 38452 <at> debbugs.gnu.org; Tue, 03 Dec 2019 13:37:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1575398230;
 bh=JVgu/eeEpS2Tz24HDbAzfdOWBrhB5k2SibNX9KqnlDA=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=lWuais/X5bm797KD1Mb1OaJPQW99gJNgD8KObqOTN7RGCgYBvx+tyfJ0RnseG99nF
 vut6sW0EOHLMm+X/HmHFfFmcR8bbUlU9v0Ecg/JRIevTayRaeLlmFFiHBVAZNBupZX
 E8FJhtrVbi9hYRVkEfpbgADsAtFxSQtghD447RaY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.133]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MiJZO-1i5dyd3ScA-00fQaf; Tue, 03
 Dec 2019 19:37:09 +0100
Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted
To: Pascal Lambrechts <pascal.lambrechts@HIDDEN>
References: <84r21nl8qq.fsf@HIDDEN>
 <405761c5-6101-5efe-9b6b-66fcab8680da@HIDDEN>
 <84h82iwio0.fsf@HIDDEN>
 <94449a44-81df-1014-fb60-1ab4c4af0456@HIDDEN>
 <84blspbiy0.fsf@HIDDEN>
 <4e51fee7-4c0d-aee8-57fc-6e6bff41fabb@HIDDEN>
 <8436e1b7cu.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <2b232b16-497e-22d8-a395-9fae6e87add7@HIDDEN>
Date: Tue, 3 Dec 2019 19:37:08 +0100
MIME-Version: 1.0
In-Reply-To: <8436e1b7cu.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:65ersRiwWZ73aWR96/1ucBdpJKzeDyDIIbWaJ9/YKy9z/+tQp78
 x1uJhJRjLYYnbHdHuaAc/0nNp/nOUhFyCco6uo4en84wcpl5dHWq74Hc7JkzSdpKl3wMh/I
 e1quL4m4qVTrvQhqr5rljrtWvlhkNxDGpU7K+TWS9bqEiNYgRRFI2cJFitRt51K8UUiKHQQ
 vO0OAYAfFsOw39GzR8KMQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:PLBEsOhHHLk=:cvSirt3JspO3L37Lw/fZeC
 Y9BsW7GhFGHB1iitiw/IXorCexLWT7zIwyChCb2sB0KbTuoekvBI9ebS/dyGR1WkQAixk6aVu
 Kaopv/3p6pBh/pKZd0D0j3rxEI2oM3KYn5/l89+EnQVs/g3yku5zZ4p7D7C5N3DXIhnivM29z
 LfAhZ016X7L/VEcarNlHVjtfAbodPCY7oYumUgurO3GMAhz2KFJDoXvO/SyVThfPEi8mCxf9e
 d/HePdETAs9hjrdPmLPfLQGM8Du8VvBXBZ15Iqe2tDorNNgaHnKtilVyzqJmx6eDusodSFGX2
 imnKokAxTTATcsgeH7edov/0fNl5lNGmdukwAtBaqvEpFVqZJOOqG/7WQkcQOYTavO4bxDuox
 It/+npIXJEP0e15tyvFTYHCqJ+DHXMdIbag0nd67aEqM7zt1b+hEQCgsnwqU4+1LAdg0M20I1
 B+BRTrjLMTr8jyhhrNjq5U1E/erinl6rK2/2YBQa43wnuyoeIfKAS194FQyjrnP8woPkfx0/U
 WSi5eGxC+8tnWrShjbzXUEBWw0DLIb43xp5qjO36hpZehvxQs+qJurmwe8z4ZNuz67YUQ/AiL
 rkEyOduu9Fm4hp7ykmeQOLJc8NfB9QB9mn23vSYVUrcm7DKc6wBZE9L7BZds+6AGS+s73c0l6
 Kw19YbDbjYSfJq2uCia7ivY+2XVytBU6BydxYqnTZ81FWzaxKIO13H6jBAcdx00UEmNKWbKRK
 4lq49JGwvrqSx9cYb2+dOQP2ezIzcsKRh8ENOcOLx0pStM4puMZCk4HvnsoBAg+E2gyH6cOpn
 EDnDwP9a1/vNJY51LyxNp0CNVUSwourGz5YXaWbPy3BtoVmK1JBH561jDB7q4AqtWTIUScfUX
 F+Yrttwt7OgMaWEq3zTu5LsjjP0IAHITqyff79awphmUrA7HE4W8l0JLLjKoGEHONPLEv+qrs
 hvsnM5E1Wim/kz2uRJ1NrqaqirREVmfe1AWI4YlMHZVQxupqLxWh2UJSLiJv9B79s4omy5Xmm
 nzg+csSko/y3UuGH2gLNsM8bvHwr4mfzTLKQ+vW6ICXfUA8K92kaMfpb4WTNtkDZrYyke5rAP
 HvR/yUCrvYIBBSL53iXtmjetm0yR9w564Dtn864BZwhIVFOGorlaaUhQHGSSFLBVCD+M/XEWi
 jvUUjQrTl3IC0ejrN/3yGEGrU6VelmXcoQAuP6QNZg9tO0ACOmvHx1hClee2PsuN4YYDVGQc7
 WIHq6bopUQOWv2DtyXxarDxVMbHN5kriT1ISQRDQaplGRxcctRNr4r/ApKhc=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38452
Cc: "38452 <at> debbugs.gnu.org" <38452 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 >> BTW, I still don't
 >> know what your window manager is.
 >
 > I guess it is gdm3 as I entered the following commands:

That's a display manager.

 >> If we say that the origin for things to display on screen is (-10, -8)
 >> - something you could probably verify by moving the dock to the right
 >> and the menu bar line to the bottom - we have a clue.  Just that it
 >> doesn't make sense to me, yet.
 >
 > Not sure: when I try with (undecorated.t) I get LEFT=0 TOP=(+ -30)
 > So the left side seems to be at 0.

So it seems that your window manager skips the decorations when a
frame is adjacent to an edge by just moving that frame outside the
display by the size of the decoration.  Some window managers make this
customizable IIRC.

 > ;; 4eme experience 2 displays: on left: internal screen=2ndary display , on right: external=primary display with dock and menu on right
 > ;; the frame is located in the internal screen
 > (display-monitor-attributes-list)
 > (((name . "HDMI-1") (geometry 1920 0 1920 1080) (workarea 1920 27 1920 1053) (mm-size 521 293) (frames) (source . "Gdk")) ((name . "eDP-1") (geometry 0 0 1920 1080) (workarea 0 0 1920 1080) (mm-size 309 174) (frames #<frame *unsent mail to martin rudalics* 0x5289930> #<frame test-frame-set-position-Martin-1.el 0x624cc90>) (source . "Gdk")))
 >
 >
 > (set-frame-position nil 0 0)
 > t
 > (pl-lt)
 > " LEFT=(+ -10)  TOP=(+ -8)"
 >
 > (progn (set-frame-position nil 0 0) (pl-lt))
 > " LEFT=0  TOP=0"
 >
 > (progn (set-frame-position nil 0 0) (sleep-for 5) (pl-lt))
 > " LEFT=(+ -10)  TOP=(+ -8)"
 >
 >
 > (modify-frame-parameters nil '((left . 0) (top . 0) (undecorated . t)))
 > nil
 > (pl-lt)
 > " LEFT=0  TOP=(+ -30)"
 >
 >
 >
 > (modify-frame-parameters nil '((user-position . t) (left . 0) (top . 0)))
 > nil
 > (pl-lt)
 > " LEFT=0  TOP=(+ -30)"

But the interesting case is whether specifying 'user-position' would
have any impact when the dock and the menu bar line are present on the
same frame, that is, the single display case.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38452; Package emacs. Full text available.

Message received at 38452 <at> debbugs.gnu.org:


Received: (at 38452) by debbugs.gnu.org; 3 Dec 2019 18:18:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 13:18:56 2019
Received: from localhost ([127.0.0.1]:41052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icClD-0002eU-Mz
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2019 13:18:56 -0500
Received: from mail-eopbgr10136.outbound.protection.outlook.com
 ([40.107.1.136]:40161 helo=EUR02-HE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pascal.lambrechts@HIDDEN>) id 1icCl9-0002eE-JZ
 for 38452 <at> debbugs.gnu.org; Tue, 03 Dec 2019 13:18:53 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ftXpqUaTM59WkH9i80Amoy1B8ijlJidWQbgwCahO3VBby/RxbdpReaudgK7gioNE6BBDbb3D+pgFYOvagFY7eKwu/KSpH7+OMRg+Xz1M4shzBowooTfAqy4fb1eqR5F44DluNwUJGi34UWmazinYtEEdjTpi13hYBsx62RqkQGgEo4ps0+QZgH89Eh0dOYAOLe6LluHAaGgvIoArR/wUffy2F/UCJf5NC353rMDbtQWNfa7kLvpPALmdegJ6aa3mWvGDOLCYStUGFMiVd3MhEnqz8T16gfF0abbrIaENT36ZfUVC6Sd+mevAYsnVWtdVgqK3RFOAI40Id9/bFk/GNw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=K4opiQaOpyRGLYAgnQRqsXktAOO+BTc9MpbiBJlNlEU=;
 b=mA8vdlvYlKiu/3h2Cwujcw66HrBTuLaK2co3icap7r443HVJ614PkOCg8FdFFXN5AKFeeNxfnujqi2/ywJVltRBwG8UwFtm2W4i+Ff3vyJa8wxO8L7RxRkk4N1EuT1CR9Zpc2Oeu1mPKQWIps3vXDzIEm2qyENLreAqg4oi5B+fGnkYBDTXVne7MJVqf6sSJI5eVdovupjjnUj4zOyR0CSB/jHUZmvzJM7ss9w9QI4i9RhxgDtYkEt9sxyF+jUHoDjcwbE+8Eo6/Bgy0Ubc09gpRVSg5oUsJlN7AM48WrGINBkNtSmjza8JBYoPCqsAFyY8b/wzeNdKhZ1CUjEaVaA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=uclouvain.be; dmarc=pass action=none header.from=uclouvain.be;
 dkim=pass header.d=uclouvain.be; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=uclouvain.be;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=K4opiQaOpyRGLYAgnQRqsXktAOO+BTc9MpbiBJlNlEU=;
 b=qR0iNS0oH53aQHXSmEmEIQlOjz9f0k3vYI2Er+K9/pjL6yBdkEdg1Nc7w9KkkIfdjdDsOUFXBeqVZEXS/z/HSdOkDVMLt2hY8Wa4Q6/WeHlL4fj70LaSx0mI0lfi4H04RHADsbN08qiQ2JC94P+uFqqIPbfHPfhTNHXhC+I+AuM=
Received: from AM7PR03MB6166.eurprd03.prod.outlook.com (10.141.189.80) by
 AM7PR03MB6311.eurprd03.prod.outlook.com (10.186.171.145) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2495.18; Tue, 3 Dec 2019 18:18:44 +0000
Received: from AM7PR03MB6166.eurprd03.prod.outlook.com
 ([fe80::d03f:1265:becb:8f9b]) by AM7PR03MB6166.eurprd03.prod.outlook.com
 ([fe80::d03f:1265:becb:8f9b%7]) with mapi id 15.20.2495.014; Tue, 3 Dec 2019
 18:18:44 +0000
From: Pascal Lambrechts <pascal.lambrechts@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted
Thread-Topic: bug#38452: 26.3; set-frame-position is slightly drifted
Thread-Index: AQHVqL6PhjYAufbh3k2xGfgvnQ0Seqeml+KAgAC8k4CAAM7zgIAAUVqAgAAfAgCAACbsgA==
Date: Tue, 3 Dec 2019 18:18:43 +0000
Message-ID: <8436e1b7cu.fsf@HIDDEN>
References: <84r21nl8qq.fsf@HIDDEN>
 <405761c5-6101-5efe-9b6b-66fcab8680da@HIDDEN>
 <84h82iwio0.fsf@HIDDEN>
 <94449a44-81df-1014-fb60-1ab4c4af0456@HIDDEN>
 <84blspbiy0.fsf@HIDDEN>
 <4e51fee7-4c0d-aee8-57fc-6e6bff41fabb@HIDDEN>
In-Reply-To: <4e51fee7-4c0d-aee8-57fc-6e6bff41fabb@HIDDEN>
Accept-Language: fr-FR, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-clientproxiedby: AM3PR07CA0117.eurprd07.prod.outlook.com
 (2603:10a6:207:7::27) To AM7PR03MB6166.eurprd03.prod.outlook.com
 (2603:10a6:20b:142::16)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=pascal.lambrechts@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [188.188.198.168]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 64efde70-0245-4937-dc68-08d7781d3b22
x-ms-traffictypediagnostic: AM7PR03MB6311:
x-microsoft-antispam-prvs: <AM7PR03MB6311D164BE274341D411A1FF98420@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:9508;
x-forefront-prvs: 02408926C4
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(4636009)(366004)(39860400002)(136003)(376002)(396003)(346002)(199004)(189003)(25786009)(66556008)(8936002)(786003)(76176011)(52116002)(6506007)(2906002)(6246003)(386003)(316002)(4326008)(305945005)(99286004)(6116002)(3846002)(66476007)(64756008)(66446008)(66946007)(86362001)(6512007)(9686003)(478600001)(44832011)(14454004)(11346002)(446003)(6916009)(256004)(7736002)(8676002)(5660300002)(186003)(81166006)(102836004)(71200400001)(71190400001)(6436002)(229853002)(81156014)(14444005)(26005)(6486002)(509494004);
 DIR:OUT; SFP:1102; SCL:1; SRVR:AM7PR03MB6311;
 H:AM7PR03MB6166.eurprd03.prod.outlook.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; A:1; MX:1; 
received-spf: None (protection.outlook.com: uclouvain.be does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: E+xRGLAl90YX8U9zUZiU9gtArWkOqo0Bec2TPCYnVa++0ySDW9FzjuIXQVsPM6FE3eN/MhKJB3woUpdL83IU4jikqp77nXZaIbJ4+CelP8Tv/y4oNDaS0JVwcexlDXJskgXzitjgjmXz10ZQjkgbtliWTsjCLXgKwl/10VR6lnBIGi7E5SyWJIasGPk0AAEqXKJK5W5oFhViV0IjG7xyr1fJSWAOzMb94jRCecVQ6AMnnKrSlwNeS+BLGrgdJ/YdUX3VZCUFB9b0rAw5RYNWWn78LHkbUXmlATu0ew20J9StlvSisy5XFEXgTblO5vby62v8Xn44n6j7CCu47J1Bbgw5/l+au+eaHl8rbDPJunK0tPY1YmfS4dTN5H7+0YRFx/djP16DBHGMcyavNks9EVMg1g0NNQBRgMfdzhMorB3G0nbqrAg3PguFsyNxfTISj4k+uyMRggmkqOXpQcTjbGyXu5rUebsDoUUWbdw+Wy7RGaTMjEtKfviPku/q/K7V
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: uclouvain.be
X-MS-Exchange-CrossTenant-Network-Message-Id: 64efde70-0245-4937-dc68-08d7781d3b22
X-MS-Exchange-CrossTenant-originalarrivaltime: 03 Dec 2019 18:18:44.0846 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 7ab090d4-fa2e-4ecf-bc7c-4127b4d582ec
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: l4k18/b+gx8aEpaJPqePp5j2CTg4U38IQRNDsQLY5KSOXalyGrI8GOp2GeIaVHjMQ/GloqSkTEvteLKbOJF3YmHToryTsM+ExOVQS5j+Cm8=
X-MS-Exchange-Transport-CrossTenantHeadersStamped: AM7PR03MB6311
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 38452
Cc: "38452 <at> debbugs.gnu.org" <38452 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

bWFydGluIHJ1ZGFsaWNzIDxydWRhbGljc0BnbXguYXQ+IHdyaXRlczoNCg0KPiBNeSBndWVzcyBp
cyB0aGF0IEVtYWNzIGluaXRpYWxseSBzZXRzIHRoZSBwYXJhbWV0ZXIgdmFsdWVzIHRvIHRoZQ0K
PiByZXF1ZXN0ZWQgdmFsdWVzIGFuZCBhc2tzIHRoZSB3aW5kb3cgbWFuYWdlciB0byBhcHBseSB0
aGVtIGFuZCBsYXRlcg0KPiBzZXRzIHRoZSBwYXJhbWV0ZXJzIHRvIHdoYXQgdGhlIHdpbmRvdyBt
YW5hZ2VyIGhhcyBhcHBsaWVkLiAgSWYgeW91DQo+IHJldHJpZXZlIHRoZWlyIHZhbHVlcyBpbiBi
ZXR3ZWVuIHRoZXNlIHR3byBzdGVwcywgRW1hY3MgcmVwb3J0cyB0aGUNCj4gcmVxdWVzdGVkIGFu
ZCBub3QgdGhlIGZpbmFsbHkgcmVhbGl6ZWQgdmFsdWVzLg0KTWFrZSBzZW5zZS4gSSBpbnNlcnRl
ZCBhIChzbGVlcC1mb3IgNSkgaW4gdGhlIHByb2duIGJldHdlZW4gdGhlDQpzZXQtZnJhbWUtcG9z
aXRpb24gYW5kIHJlYWRpbmcgdGhlIHBhcmFtZXRlcnM6IGluIHRoYXQgY2FzZSBhZ2FpbiB0aGUN
CnZhbHVlIG9mIHRoZSBwYXJhbWV0ZXJzIGFyZSBhbHNvIGNoYW5nZWQgIChzZWUgdGhlIHNjcmFj
dGggZXBlcmltZW50IGF0DQplbmQgb2YgbWFpbCkuDQoNCg0KPiBCVFcsIEkgc3RpbGwgZG9uJ3QN
Cj4ga25vdyB3aGF0IHlvdXIgd2luZG93IG1hbmFnZXIgaXMuDQoNCkkgZ3Vlc3MgaXQgaXMgZ2Rt
MyBhcyBJIGVudGVyZWQgdGhlIGZvbGxvd2luZyBjb21tYW5kczoNCk0tISBjYXQgL2V0Yy9YMTEv
ZGVmYXVsdC1kaXNwbGF5LW1hbmFnZXINCj09PiAvdXNyL3NiaW4vZ2RtMw0KTS0hIHBzIC1lIHxn
cmVwIGdkbQ0KPT0+ICAgODAgPyAgICAgICAgMDA6MDA6MDAgd2F0Y2hkb2dkDQogIDgyOSA/ICAg
ICAgICAwMDowMDowMSByc3lzbG9nZA0KIDEwMDYgPyAgICAgICAgMDA6MDA6MDAgZ2RtMw0KIDEx
MTkgPyAgICAgICAgMDA6MDA6MDAgZ2RtLXNlc3Npb24td29yDQogMTEzOCB0dHkxICAgICAwMDow
MDowMCBnZG0teC1zZXNzaW9uDQogOTY3OSA/ICAgICAgICAwMDowMDowMCBnZG0tc2Vzc2lvbi13
b3INCiA5NzAxIHR0eTIgICAgIDAwOjAwOjAwIGdkbS14LXNlc3Npb24NCg0KPg0KPg0KPiBJZiB3
ZSBzYXkgdGhhdCB0aGUgb3JpZ2luIGZvciB0aGluZ3MgdG8gZGlzcGxheSBvbiBzY3JlZW4gaXMg
KC0xMCwgLTgpDQo+IC0gc29tZXRoaW5nIHlvdSBjb3VsZCBwcm9iYWJseSB2ZXJpZnkgYnkgbW92
aW5nIHRoZSBkb2NrIHRvIHRoZSByaWdodA0KPiBhbmQgdGhlIG1lbnUgYmFyIGxpbmUgdG8gdGhl
IGJvdHRvbSAtIHdlIGhhdmUgYSBjbHVlLiAgSnVzdCB0aGF0IGl0DQo+IGRvZXNuJ3QgbWFrZSBz
ZW5zZSB0byBtZSwgeWV0Lg0KDQpOb3Qgc3VyZTogd2hlbiBJIHRyeSB3aXRoICh1bmRlY29yYXRl
ZC50KSBJIGdldCBMRUZUPTAgVE9QPSgrIC0zMCkNClNvIHRoZSBsZWZ0IHNpZGUgc2VlbXMgdG8g
YmUgYXQgMC4NCg0KPg0KPiAgPiBJZiBJIHNldC1mcmFtZS1wb3NpdGlvbiBhdCAoeCx5KSB3aXRo
IDA8PXg8PTU1IGFuZCAwPD15PD0yNyB0aGVuIHRoZQ0KPiAgPiBmcmFtZSBkb2VzIG5vdCBtb3Zl
IGFuZCB0aGUgdmFsdWVzIGFyZSByZXNldCB0byAoNDUsMTkpLg0KPiAgPiBJZiBJIHNldC1mcmFt
ZS1wb3NpdGlvbiBhdCAoNjAsMzApIHRoZW4gdGhlIGZyYW1lIG1vdmVkIGEgbGl0dGxlIGJpdCBh
bmQNCj4gID4gdGhlIHBhcmFtZXRlcnMgZXZhbHVhdGUgdG8gKDUwLDIyKS4NCj4NCj4gVGhlc2Ug
Zml0IGludG8gdGhlIHBpY3R1cmUgc2tldGNoZWQgYWJvdmUuDQo+DQo+ICA+IEhlcmUgaXMgYSBz
Y3JhdGNoIGZpbGUgb24gd2hpY2ggSSBkaWQgc29tZSBleHBlcmltZW50IGNvbW1lbnRlZC4NCg0K
PiBGaW5lIGV4ZXJjaXNlLiAgQXBwcmVjaWF0ZWQhDQo+DQo+DQo+IChtb2RpZnktZnJhbWUtcGFy
YW1ldGVycyBuaWwgJygobGVmdCAuIDApICh0b3AgLiAwKSAodW5kZWNvcmF0ZWQgLiB0KSkpDQo+
IHlpZWxkICh0byBmaW5kIG91dCB3aGV0aGVyIHRoZXNlIDEwLzggYXJlIGR1ZSB0byB0aGUgZGVj
b3JhdGlvbnMpPw0KPg0KIiBMRUZUPTAgIFRPUD0oKyAtMzApIg0KDQo7OyBUaGlzIGJ1ZmZlciBp
cyBmb3IgdGV4dCB0aGF0IGlzIG5vdCBzYXZlZCwgYW5kIGZvciBMaXNwIGV2YWx1YXRpb24uDQo7
OyBUbyBjcmVhdGUgYSBmaWxlLCB2aXNpdCBpdCB3aXRoIDxvcGVuPiBhbmQgZW50ZXIgdGV4dCBp
biBpdHMgYnVmZmVyLg0KDQo7OyBFeHBlcmltZW50cyB3aXRoIHNldC1mcmFtZS1wb3NpdGlvbiBh
bmQgdGhlIHJlc3VsdCB2YWx1ZXMgb2YgdGhlIHBhcmFtZXRlcnMgbGVmdCBhbmQgdG9wIG9mIHRo
ZSBmcmFtZQ0KOzsgRWFjaCBwYXJlbnRoZXNpcyBzZXhwIGhhcyBiZWVuIGV2YWx1YXRlZCB3aXRo
IEMtaiA9IGV2YWwtcHJpbnQtbGFzdC1zZXhwDQooZGVmdW4gcGwtbHQgKCkNCiAgIlJldHVybnMg
YSBzdHJpbmcgZ2l2aW5nIHRoZSBsZWZ0L3RvcCBwb3NpdGlvbnMgb2YgdGhlIGN1cnJlbnQgZnJh
bWUiDQogIChjb25jYXQgIiBMRUZUPSINCgkgIChwcmluMS10by1zdHJpbmcgKGZyYW1lLXBhcmFt
ZXRlciBuaWwgJ2xlZnQpKQ0KCSAgIiAgVE9QPSINCgkgIChwcmluMS10by1zdHJpbmcgKGZyYW1l
LXBhcmFtZXRlciBuaWwgJ3RvcCkpKSkNCg0KDQo7OyA0ZW1lIGV4cGVyaWVuY2UgMiBkaXNwbGF5
czogb24gbGVmdDogaW50ZXJuYWwgc2NyZWVuPTJuZGFyeSBkaXNwbGF5ICwgb24gcmlnaHQ6IGV4
dGVybmFsPXByaW1hcnkgZGlzcGxheSB3aXRoIGRvY2sgYW5kIG1lbnUgb24gcmlnaHQNCjs7IHRo
ZSBmcmFtZSBpcyBsb2NhdGVkIGluIHRoZSBpbnRlcm5hbCBzY3JlZW4gDQooZGlzcGxheS1tb25p
dG9yLWF0dHJpYnV0ZXMtbGlzdCkNCigoKG5hbWUgLiAiSERNSS0xIikgKGdlb21ldHJ5IDE5MjAg
MCAxOTIwIDEwODApICh3b3JrYXJlYSAxOTIwIDI3IDE5MjAgMTA1MykgKG1tLXNpemUgNTIxIDI5
MykgKGZyYW1lcykgKHNvdXJjZSAuICJHZGsiKSkgKChuYW1lIC4gImVEUC0xIikgKGdlb21ldHJ5
IDAgMCAxOTIwIDEwODApICh3b3JrYXJlYSAwIDAgMTkyMCAxMDgwKSAobW0tc2l6ZSAzMDkgMTc0
KSAoZnJhbWVzICM8ZnJhbWUgKnVuc2VudCBtYWlsIHRvIG1hcnRpbiBydWRhbGljcyogMHg1Mjg5
OTMwPiAjPGZyYW1lIHRlc3QtZnJhbWUtc2V0LXBvc2l0aW9uLU1hcnRpbi0xLmVsIDB4NjI0Y2M5
MD4pIChzb3VyY2UgLiAiR2RrIikpKQ0KDQoNCihzZXQtZnJhbWUtcG9zaXRpb24gbmlsIDAgMCkN
CnQNCihwbC1sdCkNCiIgTEVGVD0oKyAtMTApICBUT1A9KCsgLTgpIg0KDQoocHJvZ24gKHNldC1m
cmFtZS1wb3NpdGlvbiBuaWwgMCAwKSAocGwtbHQpKQ0KIiBMRUZUPTAgIFRPUD0wIg0KDQoocHJv
Z24gKHNldC1mcmFtZS1wb3NpdGlvbiBuaWwgMCAwKSAoc2xlZXAtZm9yIDUpIChwbC1sdCkpDQoi
IExFRlQ9KCsgLTEwKSAgVE9QPSgrIC04KSINCg0KDQoobW9kaWZ5LWZyYW1lLXBhcmFtZXRlcnMg
bmlsICcoKGxlZnQgLiAwKSAodG9wIC4gMCkgKHVuZGVjb3JhdGVkIC4gdCkpKQ0KbmlsDQoocGwt
bHQpDQoiIExFRlQ9MCAgVE9QPSgrIC0zMCkiDQoNCg0KDQoobW9kaWZ5LWZyYW1lLXBhcmFtZXRl
cnMgbmlsICcoKHVzZXItcG9zaXRpb24gLiB0KSAobGVmdCAuIDApICh0b3AgLiAwKSkpDQpuaWwN
CihwbC1sdCkNCiIgTEVGVD0wICBUT1A9KCsgLTMwKSINCg0KKG1vZGlmeS1mcmFtZS1wYXJhbWV0
ZXJzIG5pbCAnKCh1c2VyLXBvc2l0aW9uIC4gdCkgKGxlZnQgLiAwKSAodG9wIC4gMCkgICh1bmRl
Y29yYXRlZCAuIG5pbCkpKQ0KbmlsDQoocGwtbHQpDQoiIExFRlQ9KCsgLTEwKSAgVE9QPSgrIC04
KSINCg0KDQo9PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PT09PQ0KDQpCZXN0LFBhc2Nh
bA0K




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38452; Package emacs. Full text available.

Message received at 38452 <at> debbugs.gnu.org:


Received: (at 38452) by debbugs.gnu.org; 3 Dec 2019 15:59:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 10:59:38 2019
Received: from localhost ([127.0.0.1]:40943 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1icAaP-0007XH-T9
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2019 10:59:38 -0500
Received: from mout.gmx.net ([212.227.15.19]:37765)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1icAaM-0007Wz-KL
 for 38452 <at> debbugs.gnu.org; Tue, 03 Dec 2019 10:59:36 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1575388764;
 bh=CeG0uepgu+tY/rwDaWu8bsgVQv5Iz275dhVt3FI++is=;
 h=X-UI-Sender-Class:Subject:To:References:Cc:From:Date:In-Reply-To;
 b=jC7V9WSWHM6ruaw84AVMJ9GxvX0+3euzs9k/+eUXgQkUrDl5jHTEVem6g936f43H9
 4mXkFIXOFuHIXdzTRTvlnAUBq5Me7TXCb3IdUD5PHyKBhZJ8gs5EJfQy9K4/YBiJ5S
 yoZlnn3DNIGUp6U3h7qNe6J/bhPSl/MZnyTMDL7M=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.116]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MLi8g-1iKdhM1xtA-00HdZo; Tue, 03
 Dec 2019 16:59:24 +0100
Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted
To: Pascal Lambrechts <pascal.lambrechts@HIDDEN>
References: <84r21nl8qq.fsf@HIDDEN>
 <405761c5-6101-5efe-9b6b-66fcab8680da@HIDDEN>
 <84h82iwio0.fsf@HIDDEN>
 <94449a44-81df-1014-fb60-1ab4c4af0456@HIDDEN>
 <84blspbiy0.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <4e51fee7-4c0d-aee8-57fc-6e6bff41fabb@HIDDEN>
Date: Tue, 3 Dec 2019 16:59:22 +0100
MIME-Version: 1.0
In-Reply-To: <84blspbiy0.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: quoted-printable
X-Provags-ID: V03:K1:BRG5cXa/+qm/AQtb2ZivpHeNEeF37PPx1FXh0Egp8VYXY+pl4el
 s5uLi4tkDjLBdjAebvaiImbhHSR7hHS9pmTBEVhuviNlstuCwsUAYy7xKjfhn1oFX0BQh3e
 hhvCZR84pq09ArTkEHlV5f2e45NS7f9qUnKaqD7b/BB6FHjupJiCE6MqiFazxcvOn2mrBWr
 sB6X+rLRU5cJ89jQbCi+g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:K2wC2jo1JBU=:cp6AdrO4QZBDA/UTI/dMWr
 Z7zjLVp8gCz1YotggYzHdNR/8vcJhSBsHxq40NSSxXJM0uuGPKlY7gdsxf3XzQTH5Ch0zlzZR
 AzMQyPnFjct3IPcCZ03XcUgr03hTfQtDzPGMYo4borH+2svuG6YoAWa+NeHulDOMw7cYUgNwt
 uQGrgZpaw9skSmB4l02sGeV+AXUR56kM5GexnI2JHGOzDeXxUPGqsiGdKoUOTGXBeuyBEBSGc
 vlhfiTlcrTPOw0yrhtDkfAun+rL310Lw/fRf4Kq+lrbXu9RqwOQpW3V5kTqJvAhiJI+mrBY1m
 LxoxEcw5+4JigjZQ10GFkUYgwLaQLq4pk+ynwLLDrOIlJJbORQRtYkOO9CEqw+PHyQ95HvA4J
 Ymn1y6I+j6u3UOpby8j67aTOEUUnlMFH0I5v6NBQfT49t2M9f2V9A5Lo+f2kKYZKG9dLjP43P
 8Yr/AYhzvBARSJe2ZP0stASeBbVJDEk/eM2F1hLYZ3IlgyePCpoNUMbrNiRrpGilKA+yU1m5X
 KQ4ehv0SrN9TyLhiPWl/OQjWCWXE4ntO1YPVDjZ8Uat8MPYebHoMkVTSyCvy9/GUQub4Yc4Fu
 I5EhGrn/wga1urdzJnNqJ9f5/2mGWC4FO/MXXbN+GTNO+vOmrMLyZOTT0l8dL+ceLFTno5Z/n
 /uvND0H+NMRLc0MCU2VdYOgF2/OdGavLPa6JrQnV2lxdM1+avYOEL0SPdM46DMQjiQf7OI42s
 UvBL7LeuaClJFNpR2IGgxbx4UUXsWQrktB+gjZNWcHalfg5V8fTQWKqsyPF95GPs2n6eklfW0
 RpqPDD6x2t7vz93ZYx/Ntv8goBf69ZpCpIqwvJvoLNX3mYo5R6zVHvKYbd+lEmEgKLAyLJhG3
 BJavSLtTl7B32TweZZ64japBZcwKDiU/K2wqYJT4Mq8QYDRGf8BcoshGShu2KbrTbDa7GorM3
 AE8n8BGC8rdLrnUfLnmsW14xslFgDX4uepEJnKcz3fArRhghpvDWpYN6MpQ0d1LZJgOxkQ1hX
 PQA9HC3eGz2jqXtwOntrmU+BE30GyDYniqCAlps6SBy8wfAoxnE/7wf+ZUqiOk36wL7+nvy0j
 TKqg4UgyXZQ+H6UwcAxbqGzEyrkkoEy+rWEy388vhmAN/V/u90aLC/2MX1v4AUKCSwObwwD4E
 MwYfubzIn7sHckz1WOAZEGSbZtwyyUr2MXFhF6zul9SiyHZr0hvOoGjAzTwFUNcxQeyKxGjLB
 liSRaUh84JQKZE9S9DaO1RoDS34ZO/xuLc2e42pWR5/UAKS+gFAlEWbIubODPuDUCwPYBpamG
 7+kOHkev
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: > As you can read in this scratch the behaviour is even more
 mysterious > now. Indeed if I set the parameters and read them back by >
 frame-parameter both evaluated in a enclosing progn then I get th [...] 
 Content analysis details:   (3.6 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
 [212.95.5.116 listed in zen.spamhaus.org]
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (rudalics[at]gmx.at)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
X-Debbugs-Envelope-To: 38452
Cc: 38452 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > As you can read in this scratch the behaviour is even more
    mysterious > now. Indeed if I set the parameters and read them back by >
   frame-parameter both evaluated in a enclosing progn then I get th [...] 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [212.95.5.116 listed in zen.spamhaus.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (rudalics[at]gmx.at)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

 > As you can read in this scratch the behaviour is even more mysterious
 > now. Indeed if I set the parameters and read them back by
 > frame-parameter both evaluated in a enclosing progn then I get the
 > expected values. But if I reread right after the parameters I get
 > different values !?

My guess is that Emacs initially sets the parameter values to the
requested values and asks the window manager to apply them and later
sets the parameters to what the window manager has applied.  If you
retrieve their values in between these two steps, Emacs reports the
requested and not the finally realized values.  BTW, I still don't
know what your window manager is.

 > pl-dock-left=E2=80=99s value is
 > (((name . "eDP-1")
 >    (geometry 0 0 1920 1080)
 >    (workarea 55 27 1865 1053)
 >    (mm-size 309 174)
 >    (frames #<frame  *Minibuf-2* 0x4e723c0> #<frame *unsent mail to mar=
tin rudalics* 0x5289930>)
 >    (source . "Gdk")))
 >
 >
 > pl-dock-bottom=E2=80=99s value is
 > (((name . "eDP-1")
 >    (geometry 0 0 1920 1080)
 >    (workarea 0 27 1920 1000)
 >    (mm-size 309 174)
 >    (frames #<frame  *Minibuf-2* 0x4e723c0> #<frame *unsent mail to mar=
tin rudalics* 0x5289930>)
 >    (source . "Gdk")))

These values are consistent and make sense.

 > In the first configuration (my laptop screen as a unique scrren) it
 > seems that when the frame is at the top left corner the parameters
 > take values (L=3D45,T=3D19) (which probably correspond to the width of=
 the
 > dock and height of the menu line).

Well 55 - 45 gives 10 and 27 - 19 gives 8, the values you reported in
your original report as

   However the frame is slightly drifted by 10 pixel to the left and 8
   pixels to the top.

If we say that the origin for things to display on screen is (-10, -8)
- something you could probably verify by moving the dock to the right
and the menu bar line to the bottom - we have a clue.  Just that it
doesn't make sense to me, yet.

 > If I set-frame-position at (x,y) with 0<=3Dx<=3D55 and 0<=3Dy<=3D27 th=
en the
 > frame does not move and the values are reset to (45,19).
 > If I set-frame-position at (60,30) then the frame moved a little bit a=
nd
 > the parameters evaluate to (50,22).

These fit into the picture sketched above.

 > Here is a scratch file on which I did some experiment commented.

Fine exercise.  Appreciated!

 > Th function pl-lt is defined to easily show the values of the paramete=
rs
 > left/top of the frame:
 >
 > =3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D SCRACTCH INTERACTIVE LISP FILE WITH EXPERMINTS =3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D
 > ;; This buffer is for text that is not saved, and for Lisp evaluation.=

 > ;; To create a file, visit it with <open> and enter text in its buffer=
=2E
 >
 > ;; Experiments with set-frame-position and the result values of the pa=
rameters left and top of the frame
 > ;; Each parenthesis sexp has been evaluated with C-j =3D eval-print-la=
st-sexp
 > (defun pl-lt ()
 >    "Returns a string giving the left/top positions of the current fram=
e"
 >    (concat " LEFT=3D"
 > 	  (prin1-to-string (frame-parameter nil 'left))
 > 	  "  TOP=3D"
 > 	  (prin1-to-string (frame-parameter nil 'top))))
 >
 >
 > ;; First experiments with the laptop as only display and  the gnome-3 =
dock on the left:
 > (display-monitor-attributes-list)
 > (((name . "eDP-1") (geometry 0 0 1920 1080) (workarea 55 27 1865 1053)=
 (mm-size 309 174) (frames #<frame *scratch* 0x4e723c0> #<frame *unsent m=
ail to martin rudalics* 0x5289930>) (source . "Gdk")))
 >
 >
 > (set-frame-position nil 0 0)
 > t
 > ;; the frame is immediately below the menu line and on the immediate r=
ight of  the left dock
 > (pl-lt)
 > " LEFT=3D45  TOP=3D19"
 > (progn (set-frame-position nil 0 0) (pl-lt))
 > " LEFT=3D0  TOP=3D0"
 >   (pl-lt)
 > " LEFT=3D45  TOP=3D19"
 > (set-frame-position nil 45 19)
 > t
 > ;; this did not move the frame: still at left corner but not overlapin=
g the dock or menu line
 > (pl-lt)
 > " LEFT=3D45  TOP=3D19"
 > (progn (set-frame-position nil 45 19) (pl-lt))
 > " LEFT=3D45  TOP=3D19"
 > (pl-lt)
 > " LEFT=3D45  TOP=3D19"
 > (progn (set-frame-position nil 50 25) (pl-lt))
 > " LEFT=3D50  TOP=3D25"
 > ;; this did not move the frame
 > (pl-lt)
 > " LEFT=3D45  TOP=3D19"
 > ;; the parameters changed between the (pl-lt) inside the progn and aft=
er !!!

Yes.  This is what I mentioned at the top of this manual.

 > (progn (set-frame-position nil 55 27) (pl-lt))
 > " LEFT=3D55  TOP=3D27"
 > ;; this did not move the frame
 > (pl-lt)
 > " LEFT=3D45  TOP=3D19"

You didn't try (set-frame-position nil 56 28) here, it should move the
frame to (46, 20) IIUC ;-)

 > (progn (set-frame-position nil 60 30) (pl-lt))
 > " LEFT=3D60  TOP=3D30"
 > ;; this moved very slight the frame away from the left-top corner
 > (pl-lt)
 > " LEFT=3D50  TOP=3D22"
 >
 >
 >
 > (set-frame-position nil 400 100)
 > t
 > ;; this moved the frame sowewhere in the middle of the screen
 > (pl-lt)
 > " LEFT=3D390  TOP=3D92"
 > (progn (set-frame-position nil 390 92) (pl-lt))
 > " LEFT=3D390  TOP=3D92"
 > ;; this moved a bit the frame towars the top left corner
 > (pl-lt)
 > " LEFT=3D380  TOP=3D84"
 >
 > ;; ---------------------------
 > ;; Second experiments with an external screen as single display
 > (display-monitor-attributes-list)
 > (((name . "DP-1-2") (geometry 0 0 1920 1080) (workarea 55 27 1865 1053=
) (mm-size 598 336) (frames #<frame *scratch* 0x4e723c0> #<frame *unsent =
mail to martin rudalics* 0x5289930>) (source . "Gdk")))
 >
 > (set-frame-position nil 0 0)
 > ;; the frame is immediately below the menu line and on the immediate r=
ight of  the left dock
 > t
 > (pl-lt)
 > " LEFT=3D45  TOP=3D19"
 > (progn (set-frame-position nil 0 0) (pl-lt))
 > " LEFT=3D0  TOP=3D0"
 > (pl-lt)
 >
 > ;; Third experiment with a double display: internal display of laptop =
+ external display
 > ;; The external display is set as the 'primary' display and is suppose=
d to be on the right
 > ;; of the laptop display. So the menu bar and dock are only on the ext=
ernal display
 > (display-monitor-attributes-list)
 > (((name . "DP-1-2") (geometry 1920 0 1920 1080) (workarea 1920 27 1920=
 1053) (mm-size 598 336) (frames #<frame *scratch* 0x4e723c0> #<frame *un=
sent mail to martin rudalics* 0x5289930>) (source . "Gdk")) ((name . "eDP=
-1") (geometry 0 0 1920 1080) (workarea 0 0 1920 1080) (mm-size 309 174) =
(frames) (source . "Gdk")))
 > (set-frame-position nil 0 0)
 > t
 > ;; the frame is now in the left-top corner of the laptoop screen (no m=
enu neither dock here)
 > (pl-lt)
 > " LEFT=3D(+ -10)  TOP=3D(+ -8)"
 > (progn (set-frame-position nil 0 0) (pl-lt))
 > " LEFT=3D0  TOP=3D0"
 > (pl-lt)
 > " LEFT=3D(+ -10)  TOP=3D(+ -8)"

So here we see that a frame that should be located at (0, 0) is moved
to (-10, -8).  What does

(modify-frame-parameters nil '((left . 0) (top . 0) (undecorated . t)))

yield (to find out whether these 10/8 are due to the decorations)?

 > (progn (set-frame-position nil (+ -10) (+ -8)) (pl-lt))

The doc-string of 'set-frame-position' says that

   FRAME must be a live frame and defaults to the selected one.  X and Y,=

   if positive, specify the coordinate of the left and top edge of FRAME'=
s
   outer frame in pixels relative to an origin (0, 0) of FRAME's display.=

   If any of X or Y is negative, it specifies the coordinates of the righ=
t
   or bottom edge of the outer frame of FRAME relative to the right or
   bottom edge of FRAME's display.

so you tried to move the frame to some position near the bottom right
corner of the display and these

 > " LEFT=3D2842  TOP=3D288"
 > ;; the previous evaluation has moved the frame on the external display=
 close to the right corner
 > (pl-lt)
 > " LEFT=3D2832  TOP=3D280"
 > (progn (set-frame-position nil 2832 280) (pl-lt))
 > " LEFT=3D2832  TOP=3D280"
 > ;; the previous sexpevaluation has moved the frame slighly to the left=
 and top

will be as expected provided the frame size and the LEFT/TOP values
sum up accordingly.

Does anything change in general when you explicitly request a position
as with

(modify-frame-parameters nil '((user-position . t) (left . 0) (top . 0)))=


martin





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38452; Package emacs. Full text available.

Message received at 38452 <at> debbugs.gnu.org:


Received: (at 38452) by debbugs.gnu.org; 3 Dec 2019 15:05:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 10:05:04 2019
Received: from localhost ([127.0.0.1]:40914 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ic9jb-0006BQ-Hs
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2019 10:05:04 -0500
Received: from mail-eopbgr140128.outbound.protection.outlook.com
 ([40.107.14.128]:2973 helo=EUR01-VE1-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pascal.lambrechts@HIDDEN>) id 1ic9jY-0006Aq-W7
 for 38452 <at> debbugs.gnu.org; Tue, 03 Dec 2019 10:05:02 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=I/egGXm7IDErKaCpgTgDFFFwiMwf+gXMHUDcM3AQFvLmLRt4GayucTD/Srr0pfoplWgev3irmChlln54MpjjBk3SWSLd5n/69bMPrFfo3cTFWcSG0M46s5gVPt2QgXaxRMgPq4lA3LyR9FthcXyA14O9Ud0g+pYohwEdtLVe4p2x1Y2hvg9R9z9UpGqYpOzsvcAtfrKLKnMsJmw4fJLc0PVhBiAYjdAH/Xt9CiQD0AfCIdT2wB5Gh19CcWCW/orB8g8+ULa3XCeXaqPUuAt6fqAwyG1MiDFArgpIykXPiDB+93o+hmB0wpoLuC1vourC75zqOtOwWMMQgp+PRhPsQA==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=DxARWgNYz+xAs0++Bd6qCqE0tKTSDmOTlyZHki2eHA0=;
 b=F0Dc07pGwlOfDXY0RKR0CCP54Y/YmLLipT1AdiNPgMvv22vjymFE8B7kFSdKz69Pj4OAFhhDDBInJq03YLO4gTuCA4k3ppMmQDQabM2O8bYPhAswJQNr1/tzpUfdUdpKTRo8Slgt/a54S3T8brrRYsMRg+D/ni0ZK3PhgwHNDxW1dzFuEdniDgouPcJ4CksBowG2QbsMWDBL+DuILaaIz6E3ClAlNj8OBsS203iTTQyLgBRwPQdjgoM6ITGudSV86/kygm1zpOUo5bHN28EqvCYGlDPh45QpQuHJMaM42XMJdvVZxsH/W9DMT3tsB5rOHCRQUhnu25Fx3frE57bGuA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=uclouvain.be; dmarc=pass action=none header.from=uclouvain.be;
 dkim=pass header.d=uclouvain.be; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=uclouvain.be;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=DxARWgNYz+xAs0++Bd6qCqE0tKTSDmOTlyZHki2eHA0=;
 b=TWchVy4FsHnvIs02BZzbq2NvJZ5qWGTu9L8rVOfbp1Sug0Sa3jlRAqCsKXwon73XyW/F/j8xYTLEtgO5E5XMw4HmiqVAi0yMiR8hiDVjs2NGTqxqPvweRToSksMeBSsSZ+LCEmBK5S13bTWx79oB9TAqVj0Hfk2stuxLOHp137o=
Received: from DB8PR03MB6169.eurprd03.prod.outlook.com (10.141.188.78) by
 DB8PR03MB5548.eurprd03.prod.outlook.com (10.255.170.17) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2495.18; Tue, 3 Dec 2019 15:04:52 +0000
Received: from DB8PR03MB6169.eurprd03.prod.outlook.com
 ([fe80::9065:af6c:a25a:1423]) by DB8PR03MB6169.eurprd03.prod.outlook.com
 ([fe80::9065:af6c:a25a:1423%7]) with mapi id 15.20.2495.014; Tue, 3 Dec 2019
 15:04:52 +0000
From: Pascal Lambrechts <pascal.lambrechts@HIDDEN>
To: "38452 <at> debbugs.gnu.org" <38452 <at> debbugs.gnu.org>
Subject: [Pascal Lambrechts] Re: bug#38452: 26.3; set-frame-position is
 slightly drifted
Thread-Topic: [Pascal Lambrechts] Re: bug#38452: 26.3; set-frame-position is
 slightly drifted
Thread-Index: AQHVqL6PhjYAufbh3k2xGfgvnQ0Seg==
Date: Tue, 3 Dec 2019 15:04:51 +0000
Message-ID: <845zixbgbx.fsf@HIDDEN>
References: <84blspbiy0.fsf@HIDDEN>
Accept-Language: fr-FR, en-US
Content-Language: en-US
X-MS-Has-Attach: yes
X-MS-TNEF-Correlator: 
x-clientproxiedby: AM4PR05CA0023.eurprd05.prod.outlook.com (2603:10a6:205::36)
 To DB8PR03MB6169.eurprd03.prod.outlook.com
 (2603:10a6:10:142::14)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=pascal.lambrechts@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [188.188.198.168]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: 2333a7cb-b029-4a9b-bd2a-08d7780225e6
x-ms-traffictypediagnostic: DB8PR03MB5548:
x-microsoft-antispam-prvs: <DB8PR03MB5548BF666447C1C4A617B9DC98420@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:8882;
x-forefront-prvs: 02408926C4
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(4636009)(376002)(366004)(136003)(39860400002)(396003)(346002)(199004)(189003)(446003)(5640700003)(6506007)(76176011)(256004)(558084003)(386003)(8676002)(6916009)(99286004)(8936002)(3846002)(14454004)(186003)(6116002)(66476007)(9686003)(71200400001)(66446008)(66946007)(66556008)(44832011)(64756008)(66616009)(2906002)(26005)(305945005)(5660300002)(102836004)(7736002)(6486002)(2351001)(6436002)(6512007)(52116002)(71190400001)(2501003)(81156014)(86362001)(316002)(25786009)(786003)(478600001)(81166006);
 DIR:OUT; SFP:1102; SCL:1; SRVR:DB8PR03MB5548;
 H:DB8PR03MB6169.eurprd03.prod.outlook.com; FPR:; SPF:None; LANG:fr;
 PTR:InfoNoRecords; A:1; MX:1; 
received-spf: None (protection.outlook.com: uclouvain.be does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 1eLyNotiKAAtJOX0tewmS/msjX8u+DPuFiQCER75KeGUxgqt6Cs5uwKfQs3mIvJymvlYK9ffQglqvJQxFSTeb7BKdjJZArR/a13mAMX53IkTIBDGW+tLYVyhhV1JtMfFLtTGZdP/Xrp0kCP8MAaR9+0bGfL4xfojC0/hZGZxziImr6VyLAulTn9MWZ/tskSc/AK6l5lBhj71N4gamMC5WXy4CFx/egZhjvgSOUUNKEe/7WKzPvAGuJrvjZ/bnbV66eH1K4YSB7enGwHD6w9vwU6RkavbAFaZC8neSsn6f4/haubdZutjgWJrkTK/4NyWQDnVR2Tzu7KhgCz4MG+eOfqS7FAUkGUOwmy3PdhWPZLXFnAko8ueCgqBkWaY0O+W1ZXQegYSF5lrbhN1NNPBoFKcEBk1fuVZIH9Cjs5giCVCTxVxsf30vxyJdM8pw92D
x-ms-exchange-transport-forked: True
Content-Type: multipart/mixed;
 boundary="_002_845zixbgbxfsfPC1S0327ididnotsetmailhostaddresssoticklem_"
MIME-Version: 1.0
X-OriginatorOrg: uclouvain.be
X-MS-Exchange-CrossTenant-Network-Message-Id: 2333a7cb-b029-4a9b-bd2a-08d7780225e6
X-MS-Exchange-CrossTenant-originalarrivaltime: 03 Dec 2019 15:04:51.9979 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 7ab090d4-fa2e-4ecf-bc7c-4127b4d582ec
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: Q2lIroO4CiOWZWIwPosK0gLXw0IzHeJs9izafqAJAf2VXb86GZO/s5u+MKmDgqwBvJRmDNgPfM3lz641gKe0TB1/qQ4O264VLA90lTzIwD4=
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB8PR03MB5548
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 38452
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--_002_845zixbgbxfsfPC1S0327ididnotsetmailhostaddresssoticklem_
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64

DQoNCi0tIA0KUGFzY2FsIExhbWJyZWNodHMgIC0tICBVQ0xvdXZhaW4gKFNTVC9TQy9NQVRIIElS
TVApDQpidWlsZGluZzogTWFyYyBEZSBIZW1wdGlubmUgKExvdXZhaW4tbGEtTmV1dmUpIC0gTG9j
YWw6IEIgNDMwDQpwaG9uZTogKzMyICgwKTEwNHg3MzE2MSANCklSTVAgYnRlIEw3LjAxLjAyIC8v
IENoZW1pbiBkdSBDeWNsb3Ryb24gMiAvLyAgMTM0OCBMb3V2YWluLWxhLU5ldXZlIC8vIEJlbGdp
dW0NCg==

--_002_845zixbgbxfsfPC1S0327ididnotsetmailhostaddresssoticklem_
Content-Type: message/rfc822
Content-Disposition: attachment;
	creation-date="Tue, 03 Dec 2019 15:04:51 GMT";
	modification-date="Tue, 03 Dec 2019 15:04:51 GMT"
Content-ID: <A068678EEA1EF941A7A3F1E94669401E@HIDDEN>

From: Pascal Lambrechts <pascal.lambrechts@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted
In-Reply-To: <94449a44-81df-1014-fb60-1ab4c4af0456@HIDDEN>
References: <84r21nl8qq.fsf@HIDDEN> <405761c5-6101-5efe-9b6b-66fcab8680da@HIDDEN> <84h82iwio0.fsf@HIDDEN> <94449a44-81df-1014-fb60-1ab4c4af0456@HIDDEN>
Date: Tue, 03 Dec 2019 15:08:23 +0100
Message-ID: <84blspbiy0.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0

Martin,

I answer some of your quesions inside your mail.
Also at the end of the mail I add a copy of a scratch buffer on which I did
more experiments (with one or two displays).
As you can read in this scratch the behaviour is even more mysterious
now. Indeed if I set the parameters and read them back by
frame-parameter both evaluated in a enclosing progn then I get the
expected values. But if I reread right after the parameters I get=20
different values !?

martin rudalics <rudalics@HIDDEN> writes:
> Pascal, thanks for replying.  I quote your mail in full below so it
> appears that way on the bug tracker.  Please always use "reply to all"
> when answering, so none of your mails get lost.
>
>  > When I does
>  > (set-frame-position nil 0 0)
>  > the frame jump to the left topmost point of the avalaible screen not
>  > counting the dock (which on my gnome-3 desktop is on the left side) ne=
ither the
>  > main menu line.
>  > If I repeat that command the frame does not move.
>  >
>  > But in that situation I get the evaluations:
>  > (frame-parameter nil 'left) =3D=3D> 45
>  > (frame-parameter nil 'top)  =3D=3D>  19
>  >
>  > Now if I evaluate (set-frame-position nil 45 19)
>  > the frame does not move (comparing with putting the frame at (0,0))
>  > and the parameters left and top keep unchanged values 45 and 19
>  >
>  > If now I evaluate:
>  >
>  > (set-frame-position nil 100 60)
>  > (frame-parameter nil 'left)
>  > (frame-parameter nil 'top)
>  > I get the values 90 and 52 for left and top.
>  >
>  > If reconfigure gnome so that the dock  appears on the bottom of
>  > my screen instead of the left edge, then
>  > (set-frame-position nil 0 0)
>  > moves the frame on the leftmost position of the screen and
>  > (frame-parameter nil 'left) =3D=3D> (+ -10)
>
>  From this I conclude that the dock should be responsible for the
> behavior you see.  Which window manager do you use?  What do you get
> when you evaluate (display-monitor-attributes-list) in Emacs?
Here are the values of=20
(display-monitor-attributes-list) =20
when the dock is on the left or the bottom of the screen (the workarea
are distinct)

pl-dock-left=E2=80=99s value is
(((name . "eDP-1")
  (geometry 0 0 1920 1080)
  (workarea 55 27 1865 1053)
  (mm-size 309 174)
  (frames #<frame  *Minibuf-2* 0x4e723c0> #<frame *unsent mail to martin ru=
dalics* 0x5289930>)
  (source . "Gdk")))


pl-dock-bottom=E2=80=99s value is
(((name . "eDP-1")
  (geometry 0 0 1920 1080)
  (workarea 0 27 1920 1000)
  (mm-size 309 174)
  (frames #<frame  *Minibuf-2* 0x4e723c0> #<frame *unsent mail to martin ru=
dalics* 0x5289930>)
  (source . "Gdk")))



>Are > there differences in the workarea values when you evaluate that
> expression with the dock on the left and at the bottom?
Indeed see above
>
> Also you say that
>
> (set-frame-position nil 0 0)
>
> and
>
> (set-frame-position nil 45 19)
>
> both put the frame at the same position on the screen and in both
> cases the following evaluations result:
>
> (frame-parameter nil 'left) =3D=3D> 45
> (frame-parameter nil 'top)  =3D=3D>  19
>
> Is my reading of your text right?  If so, then the "problems" seem to
> start when the X-value is somewhere between 45 and 100 and the Y-value
> between 19 and 60.  Right?
Yes I did some experiment in the scratch file.
In the first configuration (my laptop screen as a unique scrren) it
seems that when the frame is at the top left corner the parameters
take values (L=3D45,T=3D19) (which probably correspond to the width of the
dock and height of the menu line).
If I set-frame-position at (x,y) with 0<=3Dx<=3D55 and 0<=3Dy<=3D27 then th=
e
frame does not move and the values are reset to (45,19).
If I set-frame-position at (60,30) then the frame moved a little bit and
the parameters evaluate to (50,22).
>
> Since the behavior apparently changes when you move the dock to the
> bottom, the X-positioning seems clearly related to the position of the
> dock.  Would the Y-positioning then be related to the presence of the
> main menu line (presumably on the bottom)?  The one thing that
> stupefies me then in either case is why the deviations are 10 and 8
> pixels only.  I presume that both, your dock and the menu line, are
> wider.

Yes the dock and menu line are certainly wider than 10 et 8 pixels.
>
> Thanks, martin


Here is a scratch file on which I did some experiment commented.
Th function pl-lt is defined to easily show the values of the parameters
left/top of the frame:

=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D SCRACTCH INTERACTIVE LISP FILE WITH EXPERMINTS =3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D
;; This buffer is for text that is not saved, and for Lisp evaluation.
;; To create a file, visit it with <open> and enter text in its buffer.

;; Experiments with set-frame-position and the result values of the paramet=
ers left and top of the frame
;; Each parenthesis sexp has been evaluated with C-j =3D eval-print-last-se=
xp
(defun pl-lt ()
  "Returns a string giving the left/top positions of the current frame"
  (concat " LEFT=3D"
	  (prin1-to-string (frame-parameter nil 'left))
	  "  TOP=3D"
	  (prin1-to-string (frame-parameter nil 'top))))


;; First experiments with the laptop as only display and  the gnome-3 dock =
on the left:
(display-monitor-attributes-list)
(((name . "eDP-1") (geometry 0 0 1920 1080) (workarea 55 27 1865 1053) (mm-=
size 309 174) (frames #<frame *scratch* 0x4e723c0> #<frame *unsent mail to =
martin rudalics* 0x5289930>) (source . "Gdk")))


(set-frame-position nil 0 0)
t
;; the frame is immediately below the menu line and on the immediate right =
of  the left dock
(pl-lt)
" LEFT=3D45  TOP=3D19"
(progn (set-frame-position nil 0 0) (pl-lt))
" LEFT=3D0  TOP=3D0"
 (pl-lt)
" LEFT=3D45  TOP=3D19"
(set-frame-position nil 45 19)
t
;; this did not move the frame: still at left corner but not overlaping the=
 dock or menu line
(pl-lt)
" LEFT=3D45  TOP=3D19"
(progn (set-frame-position nil 45 19) (pl-lt))
" LEFT=3D45  TOP=3D19"
(pl-lt)
" LEFT=3D45  TOP=3D19"
(progn (set-frame-position nil 50 25) (pl-lt))
" LEFT=3D50  TOP=3D25"
;; this did not move the frame=20
(pl-lt)
" LEFT=3D45  TOP=3D19"
;; the parameters changed between the (pl-lt) inside the progn and after !!=
!
(progn (set-frame-position nil 55 27) (pl-lt))
" LEFT=3D55  TOP=3D27"
;; this did not move the frame=20
(pl-lt)
" LEFT=3D45  TOP=3D19"
(progn (set-frame-position nil 60 30) (pl-lt))
" LEFT=3D60  TOP=3D30"
;; this moved very slight the frame away from the left-top corner
(pl-lt)
" LEFT=3D50  TOP=3D22"



(set-frame-position nil 400 100)
t
;; this moved the frame sowewhere in the middle of the screen
(pl-lt)
" LEFT=3D390  TOP=3D92"
(progn (set-frame-position nil 390 92) (pl-lt))
" LEFT=3D390  TOP=3D92"
;; this moved a bit the frame towars the top left corner
(pl-lt)
" LEFT=3D380  TOP=3D84"

;; ---------------------------
;; Second experiments with an external screen as single display
(display-monitor-attributes-list)
(((name . "DP-1-2") (geometry 0 0 1920 1080) (workarea 55 27 1865 1053) (mm=
-size 598 336) (frames #<frame *scratch* 0x4e723c0> #<frame *unsent mail to=
 martin rudalics* 0x5289930>) (source . "Gdk")))

(set-frame-position nil 0 0)
;; the frame is immediately below the menu line and on the immediate right =
of  the left dock
t
(pl-lt)
" LEFT=3D45  TOP=3D19"
(progn (set-frame-position nil 0 0) (pl-lt))
" LEFT=3D0  TOP=3D0"
(pl-lt)

;; Third experiment with a double display: internal display of laptop + ext=
ernal display
;; The external display is set as the 'primary' display and is supposed to =
be on the right
;; of the laptop display. So the menu bar and dock are only on the external=
 display
(display-monitor-attributes-list)
(((name . "DP-1-2") (geometry 1920 0 1920 1080) (workarea 1920 27 1920 1053=
) (mm-size 598 336) (frames #<frame *scratch* 0x4e723c0> #<frame *unsent ma=
il to martin rudalics* 0x5289930>) (source . "Gdk")) ((name . "eDP-1") (geo=
metry 0 0 1920 1080) (workarea 0 0 1920 1080) (mm-size 309 174) (frames) (s=
ource . "Gdk")))
(set-frame-position nil 0 0)
t
;; the frame is now in the left-top corner of the laptoop screen (no menu n=
either dock here)
(pl-lt)
" LEFT=3D(+ -10)  TOP=3D(+ -8)"
(progn (set-frame-position nil 0 0) (pl-lt))
" LEFT=3D0  TOP=3D0"
(pl-lt)
" LEFT=3D(+ -10)  TOP=3D(+ -8)"
(progn (set-frame-position nil (+ -10) (+ -8)) (pl-lt))
" LEFT=3D2842  TOP=3D288"
;; the previous evaluation has moved the frame on the external display clos=
e to the right corner
(pl-lt)
" LEFT=3D2832  TOP=3D280"
(progn (set-frame-position nil 2832 280) (pl-lt))
" LEFT=3D2832  TOP=3D280"
;; the previous sexpevaluation has moved the frame slighly to the left and =
top=20



=20













--=20
Pascal Lambrechts  --  UCLouvain (SST/SC/MATH IRMP)
building: Marc De Hemptinne (Louvain-la-Neuve) - Local: B 430
phone: +32 (0)104x73161=20
IRMP bte L7.01.02 // Chemin du Cyclotron 2 //  1348 Louvain-la-Neuve // Bel=
gium

--_002_845zixbgbxfsfPC1S0327ididnotsetmailhostaddresssoticklem_--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38452; Package emacs. Full text available.

Message received at 38452 <at> debbugs.gnu.org:


Received: (at 38452) by debbugs.gnu.org; 3 Dec 2019 09:40:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 03 04:40:53 2019
Received: from localhost ([127.0.0.1]:39295 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ic4fs-0004ay-Tp
	for submit <at> debbugs.gnu.org; Tue, 03 Dec 2019 04:40:53 -0500
Received: from mout.gmx.net ([212.227.17.20]:60487)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1ic4fr-0004ak-1c
 for 38452 <at> debbugs.gnu.org; Tue, 03 Dec 2019 04:40:51 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1575366044;
 bh=yahMjWsuPA8kYKnW1/EcqluH2ym9gAQ/LxYrIMyTGiY=;
 h=X-UI-Sender-Class:From:Subject:To:References:Date:In-Reply-To;
 b=Lb0CQgoy6N5feVByRIIS35qCnidUaCFLIBmefarkpFZb6G0OySc8FffaIOo4hgfwf
 a/P42O3d1W6mTSWxF5vEeAzWVzQgCOYIenXkUWAA6ppykdiEM+wOnEu4VS9Y9R/uzw
 eN3PjJh/ZeP9zdVuCfVDy6yJ7JUtya054zmWUZ+8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.201]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MRmjq-1iDM1e019u-00TEtu for
 <38452 <at> debbugs.gnu.org>; Tue, 03 Dec 2019 10:40:44 +0100
From: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted
To: 38452 <at> debbugs.gnu.org
References: <84r21nl8qq.fsf@HIDDEN>
 <405761c5-6101-5efe-9b6b-66fcab8680da@HIDDEN>
 <84h82iwio0.fsf@HIDDEN>
Message-ID: <31691e5e-ec66-16a3-70bc-36b785b02025@HIDDEN>
Date: Tue, 3 Dec 2019 10:40:41 +0100
MIME-Version: 1.0
In-Reply-To: <84h82iwio0.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:uMIf9ybAAU+8dtAGmnc4w7er+6yXxc48tEUwBwytO5LxueRDINa
 Pfro8XHL3O/UGdEfx/yzep3xtX2sAyhDPI5JMOoj7o8oy3m23vuUeb4s8+jqp1Z+FaSrzf0
 FTQTjmx57Mcm0y2guHfBtg+GPU4otFKJmzPX2uF53J/RC+kyO7r1OlC+N2+GnfhvYhPBVe0
 X2vlpilXVjJB67BRTwJsg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:Rld4p22dmQs=:ttmG1yADZHFj/rhqa3/8uL
 uSeiCJClcN2+BCcA07PKQT0BDqB7I8dZGHSR0Ia7LjuZjq6DDXAnLDzP2cAOakO/Nxy783AtZ
 thrvjNJKCi0cfFKIg4AkG9du/v1EU/51jViFktT3x9UvevO6cltgwPlIw8nBuSxOvPk0QIlk5
 0A9xWeImyYk3zkUBjy9tv7gGAPrczKL8GZoz1KT5GOGgb0vmVhSRAbQL4yrUsrXFk9W7b6cgh
 u4QEsYj74ihXKZSr+lDoTIupxjjEIB6kQyXhnnl+21Sl8GeosccFDqoqlMB+N85QqmGmVuyzZ
 TgEnUx/dZXfSveXjhQloLadYfjiCjoifyhiOtYbighpjcFDt3EySls0yL9eKYz1wTVxwSmPzR
 bYIQqXvEekPEvQuSiHz6nPegMcoPeS7Tem1xvzxvakUZz7xuYNIHz2h72f4+JFcVKpAMSFIgN
 vTlffHWDDx3+A2D0hXy1fKFNKYv+6L3EjzGDSpvvTKjwZoNxfKsyf5+VfPgqBDeWykUZ6Ih0k
 U029Exa0nbOOiqPHuAhvYGrBVlzYIT7FlhUZ9wnDCemopBUUGaXtBwlHN7tcBCHxcsCCnZiFO
 qZHWEubIj4nIn9/5RwFmikjPowjdOAZ/16N+VUXrsaDAwRmf9+C9sGmIpGRetgvtS3GkUjTx7
 yMk5NA25Fm/62DuruwsS8/uLhduja/2xmdMQ03AJReFYjOS0wSJX+o2Tyu9KIyHBTy+6A8AXu
 Zj66vb+CVz0o4/KO17CrZQtM1gu+AeTxIvoiF5erlhjnjdTBx2Pn8POtOVM8GWppzPezhJvrm
 1whw3pD3YYfoCY/WscruDgE++qLzEXTob6ff8bIXpsVKHHGzLH6gJd34PPk3G5osf6lChM/St
 +Ag8Bn7AInwOJoK51bCJKTIVapJs/bg5U2jmwOU55mm+u/dUKpp0GstMFSBJZgejQECOGS9kz
 NYhMTokIATfRmycSgKN/ec2qZC9eXgquq9CiJBfNAWw/VpbjMhOFXq2NlfgfE4G7dDWLJvV55
 3ZCMiYNqeqgxPQU8Ws8T/lH61Oe6uMKKzRK+27a35CGSqWvoKKdyFZ18vUnSJCeOxbmKUW/28
 mj2J2BB0YOXsco6Xugb5myZ5/4LtY1AY6wvpHMP9aN52VTiOxtg72jP0LkosudRi3YRkN9rCV
 iMksSYdP+PZoCUQVk65tTqrQvc3F/ZNuoCOGNxi+Otnctzphd4MeJcewwLXTuXGJgf10KBR7z
 yS/ky4/TOIhQWrzGL8cdqOHHq0I/vwwFPkTNuEaUpPjGyu0fYNxW30+GbWOM=
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: 38452
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

Pascal, thanks for replying.  I quote your mail in full below so it
appears that way on the bug tracker.  Please always use "reply to all"
when answering, so none of your mails get lost.

> When I does
> (set-frame-position nil 0 0)
> the frame jump to the left topmost point of the avalaible screen not
> counting the dock (which on my gnome-3 desktop is on the left side) neither the
> main menu line.
> If I repeat that command the frame does not move.
>
> But in that situation I get the evaluations:
> (frame-parameter nil 'left) ==> 45
> (frame-parameter nil 'top)  ==>  19
>
> Now if I evaluate (set-frame-position nil 45 19)
> the frame does not move (comparing with putting the frame at (0,0))
> and the parameters left and top keep unchanged values 45 and 19
>
> If now I evaluate:
>
> (set-frame-position nil 100 60)
> (frame-parameter nil 'left)
> (frame-parameter nil 'top)
> I get the values 90 and 52 for left and top.
>
> If reconfigure gnome so that the dock  appears on the bottom of
> my screen instead of the left edge, then
> (set-frame-position nil 0 0)
> moves the frame on the leftmost position of the screen and
> (frame-parameter nil 'left) ==> (+ -10)

 From this I conclude that the dock should be responsible for the
behavior you see.  Which window manager do you use?  What do you get
when you evaluate (display-monitor-attributes-list) in Emacs?  Are
there differences in the workarea values when you evaluate that
expression with the dock on the left and at the bottom?

Also you say that

(set-frame-position nil 0 0)

and

(set-frame-position nil 45 19)

both put the frame at the same position on the screen and in both
cases the following evaluations result:

(frame-parameter nil 'left) ==> 45
(frame-parameter nil 'top)  ==>  19

Is my reading of your text right?  If so, then the "problems" seem to
start when the X-value is somewhere between 45 and 100 and the Y-value
between 19 and 60.  Right?

Since the behavior apparently changes when you move the dock to the
bottom, the X-positioning seems clearly related to the position of the
dock.  Would the Y-positioning then be related to the presence of the
main menu line (presumably on the bottom)?  The one thing that
stupefies me then in either case is why the deviations are 10 and 8
pixels only.  I presume that both, your dock and the menu line, are
wider.

Thanks, martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38452; Package emacs. Full text available.

Message received at 38452 <at> debbugs.gnu.org:


Received: (at 38452) by debbugs.gnu.org; 2 Dec 2019 09:41:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 02 04:41:44 2019
Received: from localhost ([127.0.0.1]:37101 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ibiD9-0002yd-Ud
	for submit <at> debbugs.gnu.org; Mon, 02 Dec 2019 04:41:44 -0500
Received: from mout.gmx.net ([212.227.15.19]:46411)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1ibiD7-0002yP-Ue
 for 38452 <at> debbugs.gnu.org; Mon, 02 Dec 2019 04:41:42 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1575279695;
 bh=tx/mXFRBalMg1g8CWFhwZmzmdWVX9mqCgM6lELC4rF0=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=CCjiyEJ0/XD7o6X78dJZ3oqAujNVTPBDgYEUIOf9QE+kK7FUwFRhqLMgfBaqarlix
 wmQwFB823uljadiu/NxSDjL4ylKt9QUrM5B3z0dUHvWU9kl9Kp367jVigfAp1AMqwM
 uICJ4KxaTNDMHXtE9GinlYEDlfQef+qbA5pZKP7M=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([46.125.249.45]) by mail.gmx.com (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MPXd2-1iOykf0JGc-00Mbg8; Mon, 02
 Dec 2019 10:41:35 +0100
Subject: Re: bug#38452: 26.3; set-frame-position is slightly drifted
To: Pascal Lambrechts <pascal.lambrechts@HIDDEN>, 38452 <at> debbugs.gnu.org
References: <84r21nl8qq.fsf@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <405761c5-6101-5efe-9b6b-66fcab8680da@HIDDEN>
Date: Mon, 2 Dec 2019 10:41:35 +0100
MIME-Version: 1.0
In-Reply-To: <84r21nl8qq.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: de-AT
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:xsJWdj7rut3SVWGcWmQhcQNWtwPYNFUrY1H2KboCpsV5iaIfeL8
 xuN1WH0Qr11RmiIdUsakp14Lh0M5SsLBPNGo4uZT/jh0LJGFkir6PNCP7dgwe007HKwDb0p
 C3zDTxXf55i7y0iSRX6V4nnu3tiYXrQYPh8ARa8J6Qwzsmz/9+hWgIbFLef5q6+OmEw8wEv
 a8pLAJhXQyGQK8Th8JlQA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:AA7KyRtdnOQ=:N3uLTNRlaPy/557TatmIHD
 UrUXY1IY35fNGy8f9hUGniV2MExaIQJbZi6LJKnd8qtWixx5O4uDktNztGMUKKz1im3x1h0dQ
 mlmapRhlQq10syMZAxzDe00gBBnO9Ht5AxbWz4gWt4Q91hwTbKp+zUzM4dpuy2NmMdL2pLS61
 Ak/dit8DRgB6GhXmCGwV6Wg9a2Cjmsu2JDy2fZjT+Yaf1on9KOrsiNW1IhpcUIasWzkExTClJ
 bgd/rCZdByRejirdPEaoBPmCSE6ELiK8EIVxjKMEAHdWg1o8ET91xk4Nd88yWZDQDr/qMBWJG
 kahLzbQnI88lSOOxkRX/8TPHSJr4QhB7Cu2uTYdz36hdYlnv20eF2KOMpSC+k3SITI7CN0LyG
 kWNEpVJvOdc/wFc2LJ9NCQzRkIsjhlfhhO+AKiJ+WJZrjy+ErFeWC26WuLXOXBr043engviw+
 D0pb1jMxjDEvamb5kRwXp4I4cevhhW9ZOfOgMrUpYUxwTN2exo4azFc7sXUjrR2+QxXAVOCeO
 YrET/ZjVxGne3LEXBqNXUxSHHIzcJ6V5DPiAadM0taS920AANoo+0d2M3YjcoC6BLZgsV7o/Y
 Of6st1fenwm4WnSbxn7zx46V3TTuNXIZXgAisI6ASrYMqptKCUMVHTyFt5KTXJ5Kn4vpDywRG
 muPGD2zfX52aDawtknoVJIKkZ1nannudh/0pFOfuIwxZmE8TmpzL0+4ubUCZeY8FEU4VZuIKZ
 nQnC+EpitHQiCDWc6nyTb14bfO2Rb4nY0eaZqj3QfAyY/ARHBx4KTsRbCzliyUh5WWy5YwMkO
 xWwbx6WFb5Nr3tjjWkKdI5NAH9NxrwMn2O+slGPjIHU89Tgm0RwKam1x8n3DHlnIT1SSM5QnF
 fKXkXkFLenEEACAkRvuRvuVtk4gUzvlOzaTPDee7eEafv+qWteaO5vf8HxnMwYJ3j8dbk5zL8
 4UaYyn6qM21tLFzIPmDdC5aEiv1DL2Q4tB8uhVY7OpA7QlWanyCNastFRcWffT1xJCZpQe74V
 paCgQ4z4Bz6snykovsEwnkOmJj1RxOYKh5aeWBn3fv8yCSlUt2OQuNy5w5ZOrzFDVkqUYoqar
 fByAuVQfKAM7IYCi21FjF1DrWGGNKPMyD9u9D+C3I0ugLYPgL6RI43L1hXyObwzJOKwEAXA2l
 59yl3bPewOlETZaEzqelzhMcYpHgYpE8VmrWZHUYUpNdmNBU0wPSKMpskmtPSWpUGeO5diKqv
 TlQjOkZNC+i0U+OzuUbhqG4TQFNdTzPrpsDQ59FSjIofYOsax1I42k/hTISU=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38452
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > I noticed a strange behaviour with the function set-frame-position.
 > This happens even when starting from `emacs -q --no-site-file`
 >
 > If I evaluate  the following expression:
 >
 > (let ((x (frame-parameter nil 'left))
 >        (y (frame-parameter nil 'top)))
 >    (set-frame-position nil x y))
 >
 > ( by  C-X C-E in the file or with M-: )
 >
 > the behaviour that I expect would be  that the frame stays still since I use
 > the original left and top position to reset the position.
 > However the frame is slightly drifted by 10 pixel to the left and 8
 > pixels to the top.
 > If I repeat the evaluation of the expression the frame keeps moving.
 >
 > More generally (set-frame-position ...) seems to be off by (-10,-8).

Does

(set-frame-position nil 0 0)

work "as intended" for you?  Also when evaluated two or more times in
succession?

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38452; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 2 Dec 2019 03:21:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Dec 01 22:21:19 2019
Received: from localhost ([127.0.0.1]:36931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ibcH0-00016L-QT
	for submit <at> debbugs.gnu.org; Sun, 01 Dec 2019 22:21:19 -0500
Received: from lists.gnu.org ([209.51.188.17]:52427)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pascal.lambrechts@HIDDEN>) id 1ibcAC-0000tp-Ld
 for submit <at> debbugs.gnu.org; Sun, 01 Dec 2019 22:14:17 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:36427)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <pascal.lambrechts@HIDDEN>) id 1ibcAA-0005sZ-N6
 for bug-gnu-emacs@HIDDEN; Sun, 01 Dec 2019 22:14:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ***
X-Spam-Status: No, score=3.3 required=5.0 tests=BAYES_50,RCVD_IN_DNSWL_NONE,
 RECEIVED_FROM_WINDOWS_HOST,URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <pascal.lambrechts@HIDDEN>) id 1ibcA8-0007qo-HU
 for bug-gnu-emacs@HIDDEN; Sun, 01 Dec 2019 22:14:13 -0500
Received: from mail-eopbgr60128.outbound.protection.outlook.com
 ([40.107.6.128]:31722 helo=EUR04-DB3-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <pascal.lambrechts@HIDDEN>)
 id 1ibcA7-0007p7-Tf
 for bug-gnu-emacs@HIDDEN; Sun, 01 Dec 2019 22:14:12 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ma4lQ6ESPjM5K+Pw+ZLX4kAM6u4BDP0bzNH93gw5xTw8kVIcMeYfqQV2P65MJdyDHK6pBlL8KeAidEbOkwwyslknZm2x/QVzc5JUgrREibk7ew1wV/bPdPbfSIBbaS6JQCrdSc9SewWutpPf6QTCzKud6oE+wQGkUAg1CtnmBO5T5VwnIXlJYy0d8RxWuwDhLICGbGlJJpsaNub1nNu2+9+dHXm6A7jc/EtiY1vI7wWl2WIrNOAtPzBzsFazeieDqfN66WBf4yHMO4HBEErWu7Lzjyct0Ye09oLpRvqdCY6679xvRfO/yk+WjZaxbixDW0j5S3uM37yRL1w7EXb7Fg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=EXo234uzMBahzviRu0Sv0qC5eTAftzTIyOp9FACcGuM=;
 b=dvy1dnGcBF9cNO+ybQ2eiHlEU7TNgkFPZ+RpcImqx0FUSkg471J/MR4mub2uXUCkni9jo8NFF3NaN35Vnx7+sc6hKDOF+eun0MiRrQjV0RrS8D0bdSuY4bbwQo6jnD0oXdXDZ+eVIFQCbMh6/FJWH79iH1ky/PzkHSh3YbPRSHsAlivljl3B9p7aJUjcu5TRmyyGYSV2JYhr4mzcek9EqiMIOFNI56sLpA3CKov4/RWsbHOeND1BVPsiE+EKJIYluP/nAq5yqYkp2rZZWzgGC/8AUGpIbExi1992E7pqzXUtGzB2ZaQqdpDHhGqL39Y+/FgrOEijHY7qkHHJuTQ2pQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=uclouvain.be; dmarc=pass action=none header.from=uclouvain.be;
 dkim=pass header.d=uclouvain.be; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=uclouvain.be;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=EXo234uzMBahzviRu0Sv0qC5eTAftzTIyOp9FACcGuM=;
 b=sga88K5cFzukwPm3RFCvs5YKsHglEF973935dyvnAw5c/UJ8aj7NpPh/gSZxv5WGfEcXMftR3MRdt3wdgiExUNAIWtE39FQtpN2d8vFtEbpJEnAaW3R2YVQXGH+L8CnFAGyzkSIyXlbnTSlvIP8XfOotedYXoHaEj/r6ukrWfa0=
Received: from DB8PR03MB6169.eurprd03.prod.outlook.com (10.141.188.78) by
 DB8PR03MB5484.eurprd03.prod.outlook.com (20.179.249.74) with Microsoft SMTP
 Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.2495.22; Mon, 2 Dec 2019 03:14:08 +0000
Received: from DB8PR03MB6169.eurprd03.prod.outlook.com
 ([fe80::9065:af6c:a25a:1423]) by DB8PR03MB6169.eurprd03.prod.outlook.com
 ([fe80::9065:af6c:a25a:1423%7]) with mapi id 15.20.2495.014; Mon, 2 Dec 2019
 03:14:08 +0000
From: Pascal Lambrechts <pascal.lambrechts@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 26.3; set-frame-position is slightly drifted 
Thread-Topic: 26.3; set-frame-position is slightly drifted 
Thread-Index: AQHVqL6PhjYAufbh3k2xGfgvnQ0Seg==
Date: Mon, 2 Dec 2019 03:14:08 +0000
Message-ID: <84r21nl8qq.fsf@HIDDEN>
Accept-Language: fr-FR, en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-clientproxiedby: AM0PR0102CA0060.eurprd01.prod.exchangelabs.com
 (2603:10a6:208::37) To DB8PR03MB6169.eurprd03.prod.outlook.com
 (2603:10a6:10:142::14)
authentication-results: spf=none (sender IP is )
 smtp.mailfrom=pascal.lambrechts@HIDDEN; 
x-ms-exchange-messagesentrepresentingtype: 1
x-originating-ip: [188.188.198.168]
x-ms-publictraffictype: Email
x-ms-office365-filtering-correlation-id: ad127102-0d7f-41c9-ed79-08d776d5b1c5
x-ms-traffictypediagnostic: DB8PR03MB5484:
x-microsoft-antispam-prvs: <DB8PR03MB548470C8FAB32F50110D3E0A98430@HIDDEN>
x-ms-oob-tlc-oobclassifiers: OLM:7691;
x-forefront-prvs: 0239D46DB6
x-forefront-antispam-report: SFV:NSPM;
 SFS:(10019020)(4636009)(39860400002)(366004)(396003)(376002)(136003)(346002)(189003)(199004)(99286004)(14444005)(9686003)(6506007)(386003)(44832011)(102836004)(2351001)(4743002)(5660300002)(186003)(66066001)(6512007)(305945005)(7736002)(3846002)(6116002)(71200400001)(66446008)(316002)(6436002)(8936002)(71190400001)(2501003)(14454004)(256004)(64756008)(478600001)(66946007)(66476007)(81166006)(2906002)(6486002)(86362001)(81156014)(25786009)(52116002)(5640700003)(8676002)(26005)(66556008)(6916009)(786003);
 DIR:OUT; SFP:1102; SCL:1; SRVR:DB8PR03MB5484;
 H:DB8PR03MB6169.eurprd03.prod.outlook.com; FPR:; SPF:None; LANG:en;
 PTR:InfoNoRecords; MX:1; A:1; 
received-spf: None (protection.outlook.com: uclouvain.be does not designate
 permitted sender hosts)
x-ms-exchange-senderadcheck: 1
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: 1dW1vUavAaHAkp8z/GLTiMy3LfgZ0RwmkFdUwX86a1HVqi3gzKrbyiNJ2+Rz2fl6HDmHijAELS9PfOkisv+tqrQM6cKyvc+FnX5cp7h8c2uHswBBf+ykBHI47HLkHryOEXuI74dLHTjccdglD0oOcYabHLNlezGoyzFtsoHpba50knWvlNfcuD+ETwr9couDNLR89bfuMFrHyjogHdaArw9lpbdXN049FkFQAc4KXTQSHkBVg02wVDpAdXb3JvkHbaiVUJNd8/DZ4pwT8DElRvzf/pytlvGPAKcZQQFwUVIHbytDeVAl8dlQsNm3yL1+BSfkJEBovb+zlSWLwONKY42pO9Tepk7qDVDj6aBxaYQklAMqFl/s40Lb9SEAGiBS3824+akCovB+qH6TozjrjtWLXqgA5Cr5QW6cIRTutuFJnA+PMIhZByVPEGeflGR4
x-ms-exchange-transport-forked: True
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-OriginatorOrg: uclouvain.be
X-MS-Exchange-CrossTenant-Network-Message-Id: ad127102-0d7f-41c9-ed79-08d776d5b1c5
X-MS-Exchange-CrossTenant-originalarrivaltime: 02 Dec 2019 03:14:08.0955 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 7ab090d4-fa2e-4ecf-bc7c-4127b4d582ec
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: XQjx2wCxMRqz7gON7GNyziOCXstJao6HtEJzkNmqJr3zqAk6PBfGNHmltaDwvj4096Rr9EbVBqKTUSml+B6tNdyB8lSSBBHhDlTa2XrDOko=
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DB8PR03MB5484
X-detected-operating-system: by eggs.gnu.org: Windows 7 or 8 [fuzzy]
X-Received-From: 40.107.6.128
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 01 Dec 2019 22:21:17 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)
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=




Acknowledgement sent to Pascal Lambrechts <pascal.lambrechts@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#38452; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 8 Dec 2019 02:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.